
module.exports = function(public) {

/**
 * This endpoint returns the current status of the API

 * @callback {Function} callback Callback function
 * @param {Error|string} err Error object
 * @param {apiStatus} result Result object
 */
public.getStatus = function(callback) {

  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.
  process.nextTick(function() {
    var err = new Error('Not implemented');
    callback(err);
  });
  
  /*
  var err0 = new Error('Any server error which can be solved by server administrator. Details about errors for each request can be found <a href="../RequestErrors.html" target="_">here</a>');
  err0.statusCode = 500;
  return cb(err0);
  */ 
}


/**
 * This endpoint returns the session information
 * @param {string} X_WASSUP_MSISDN The MSISDN (provided by wassup)
 * @callback {Function} callback Callback function
 * @param {Error|string} err Error object
 * @param {session} result Result object
 */
public.getSession = function(X_WASSUP_MSISDN, callback) {

  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.
  process.nextTick(function() {
    var err = new Error('Not implemented');
    callback(err);
  });
  
  /*
  var err0 = new Error('Any error (bad request, user suspended, etc...) which can be solved by application or user. Details about errors for each request can be found <a href="../RequestErrors.html" target="_">here</a>');
  err0.statusCode = 400;
  return cb(err0);
  */ 
  /*
  var err1 = new Error('Any server error which can be solved by server administrator. Details about errors for each request can be found <a href="../RequestErrors.html" target="_">here</a>');
  err1.statusCode = 500;
  return cb(err1);
  */ 
}




public.remoteMethod('getStatus',
  { isStatic: true,
  accepts: [],
  returns: 
   [ { description: 'Represents the response body of a API status',
       type: 'apiStatus',
       arg: 'data',
       root: true } ],
  http: { verb: 'get', path: '/status' },
  description: 'This endpoint returns the current status of the API' }
);

public.remoteMethod('getSession',
  { isStatic: true,
  accepts: 
   [ { arg: 'X_WASSUP_MSISDN',
       type: 'string',
       description: 'The MSISDN (provided by wassup)',
       required: true,
       http: { source: 'header' } } ],
  returns: 
   [ { description: 'Represents the session',
       type: 'session',
       arg: 'data',
       root: true } ],
  http: { verb: 'get', path: '/session' },
  description: 'This endpoint returns the session information' }
);

}
