
module.exports = function(transfert) {

/**
 * Provided with a valid object representation, this endpoint allows for a new transaction to be created
 * @param {string} X_WASSUP_MSISDN The MSISDN (provided by wassup)
 * @param {string} Authorization Bearer "token from session"
 * @param {string} X_LOKI_CREDENTIAL The pin encrypted with pinPadLayout from session
 * @param {requestTransaction} requestTransaction Represents the request body of a transaction
 * @callback {Function} callback Callback function
 * @param {Error|string} err Error object
 * @param {transaction} result Result object
 */
transfert.postTransactions = function(X_WASSUP_MSISDN, Authorization, X_LOKI_CREDENTIAL, requestTransaction, callback) {

  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.
  process.nextTick(function() {
    var err = new Error('Not implemented');
    callback(err);
  });
  
  /*
  var err0 = new Error('Any error (bad request, user suspended, etc...) which can be solved by application or user. Details about errors for each request can be found <a href="../RequestErrors.html" target="_">here</a>');
  err0.statusCode = 400;
  return cb(err0);
  */ 
  /*
  var err1 = new Error('Unauthorized error');
  err1.statusCode = 401;
  return cb(err1);
  */ 
  /*
  var err2 = new Error('Any server error which can be solved by server administrator. Details about errors for each request can be found <a href="../RequestErrors.html" target="_">here</a>');
  err2.statusCode = 500;
  return cb(err2);
  */ 
}




transfert.remoteMethod('postTransactions',
  { isStatic: true,
  consumes: [ 'application/json"' ],
  accepts: 
   [ { arg: 'X_WASSUP_MSISDN',
       type: 'string',
       description: 'The MSISDN (provided by wassup)',
       required: true,
       http: { source: 'header' } },
     { arg: 'Authorization',
       type: 'string',
       description: 'Bearer "token from session"',
       required: true,
       http: { source: 'header' } },
     { arg: 'X_LOKI_CREDENTIAL',
       type: 'string',
       description: 'The pin encrypted with pinPadLayout from session',
       required: true,
       http: { source: 'header' } },
     { arg: 'requestTransaction',
       type: 'requestTransaction',
       description: 'Represents the request body of a transaction',
       required: true,
       http: { source: 'body' } } ],
  returns: 
   [ { description: 'Represents a transaction',
       type: 'transaction',
       arg: 'data',
       root: true } ],
  http: { verb: 'post', path: '/transactions' },
  description: 'Provided with a valid object representation, this endpoint allows for a new transaction to be created' }
);

}
