
module.exports = function(user) {

/**
 * This endpoint returns the information of the current user
 * @param {string} X_WASSUP_MSISDN The MSISDN (provided by wassup)
 * @param {string} Authorization Bearer "token from session"
 * @param {string} X_LOKI_CREDENTIAL The pin encrypted with pinPadLayout from session
 * @callback {Function} callback Callback function
 * @param {Error|string} err Error object
 * @param {user} result Result object
 */
user.getUsersMe = function(X_WASSUP_MSISDN, Authorization, X_LOKI_CREDENTIAL, callback) {

  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.
  process.nextTick(function() {
    var err = new Error('Not implemented');
    callback(err);
  });
  
  /*
  var err0 = new Error('Any error (bad request, user suspended, etc...) which can be solved by application or user. Details about errors for each request can be found <a href="../RequestErrors.html" target="_">here</a>');
  err0.statusCode = 400;
  return cb(err0);
  */ 
  /*
  var err1 = new Error('Unauthorized error');
  err1.statusCode = 401;
  return cb(err1);
  */ 
  /*
  var err2 = new Error('Any server error which can be solved by server administrator. Details about errors for each request can be found <a href="../RequestErrors.html" target="_">here</a>');
  err2.statusCode = 500;
  return cb(err2);
  */ 
}


/**
 * This endpoint returns the user balances
 * @param {string} X_WASSUP_MSISDN The MSISDN (provided by wassup)
 * @param {string} Authorization Bearer "token from session"
 * @param {string} X_LOKI_CREDENTIAL The pin encrypted with pinPadLayout from session
 * @callback {Function} callback Callback function
 * @param {Error|string} err Error object
 * @param {balance} result Result object
 */
user.getBalances = function(X_WASSUP_MSISDN, Authorization, X_LOKI_CREDENTIAL, callback) {

  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.
  process.nextTick(function() {
    var err = new Error('Not implemented');
    callback(err);
  });
  
  /*
  var err0 = new Error('Any error (bad request, user suspended, etc...) which can be solved by application or user. Details about errors for each request can be found <a href="../RequestErrors.html" target="_">here</a>');
  err0.statusCode = 400;
  return cb(err0);
  */ 
  /*
  var err1 = new Error('Unauthorized error');
  err1.statusCode = 401;
  return cb(err1);
  */ 
  /*
  var err2 = new Error('Any server error which can be solved by server administrator. Details about errors for each request can be found <a href="../RequestErrors.html" target="_">here</a>');
  err2.statusCode = 500;
  return cb(err2);
  */ 
}




user.remoteMethod('getUsersMe',
  { isStatic: true,
  accepts: 
   [ { arg: 'X_WASSUP_MSISDN',
       type: 'string',
       description: 'The MSISDN (provided by wassup)',
       required: true,
       http: { source: 'header' } },
     { arg: 'Authorization',
       type: 'string',
       description: 'Bearer "token from session"',
       required: true,
       http: { source: 'header' } },
     { arg: 'X_LOKI_CREDENTIAL',
       type: 'string',
       description: 'The pin encrypted with pinPadLayout from session',
       required: true,
       http: { source: 'header' } } ],
  returns: 
   [ { description: 'Represents a user',
       type: 'user',
       arg: 'data',
       root: true } ],
  http: { verb: 'get', path: '/users/me' },
  description: 'This endpoint returns the information of the current user' }
);

user.remoteMethod('getBalances',
  { isStatic: true,
  accepts: 
   [ { arg: 'X_WASSUP_MSISDN',
       type: 'string',
       description: 'The MSISDN (provided by wassup)',
       required: true,
       http: { source: 'header' } },
     { arg: 'Authorization',
       type: 'string',
       description: 'Bearer "token from session"',
       required: true,
       http: { source: 'header' } },
     { arg: 'X_LOKI_CREDENTIAL',
       type: 'string',
       description: 'The pin encrypted with pinPadLayout from session',
       required: true,
       http: { source: 'header' } } ],
  returns: 
   [ { description: 'Represents a collection of balance',
       type: [ 'balance' ],
       arg: 'data',
       root: true } ],
  http: { verb: 'get', path: '/balances' },
  description: 'This endpoint returns the user balances' }
);

}
