
module.exports = function(SwaggerModel) {

/**
 * Returns the 20 most recent mentions for the authenticating user
 * @param {string} count Specifies the number of tweets to try and retrieve
 * @param {string} since_id Returns result with an ID greater than the specified ID
 * @param {string} max_id Returns results with an ID less than or equal to the specified ID
 * @param {string} trim_user When set to either true, t or 1, each tweet returned in a timeline will include a user object
 * @param {string} contributor_details This parameter enhances the contributors element of the status response
 * @param {string} include_entities The entities node will be disincluded when set to false
 * @callback {Function} callback Callback function
 * @param {Error|string} err Error object
 * @param {Tweets} result Result object
 */
SwaggerModel.getStatusesMentionsTimeline = function(count, since_id, max_id, trim_user, contributor_details, include_entities, callback) {

  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.
  process.nextTick(function() {
    var err = new Error('Not implemented');
    callback(err);
  });
  
}


/**
 * Returns a collection of the most recent Tweets posted by the User
 * @param {string} count Specifies the number of tweets to try and retrieve
 * @param {string} since_id Returns result with an ID greater than the specified ID
 * @param {string} max_id Returns results with an ID less than or equal to the specified ID
 * @param {string} trim_user When set to either true, t or 1, each tweet returned in a timeline will include a user object
 * @param {boolean} exclude_replies This paramters will prevent from appearing in the returned timeline
 * @param {boolean} contributor_details This paramters enhances the contributors element of the status response to include the screen_name of the contributor
 * @param {boolean} include_rts When set to false, the timeline will strip any native retweet
 * @callback {Function} callback Callback function
 * @param {Error|string} err Error object
 * @param {Tweets} result Result object
 */
SwaggerModel.getStatusesUserTimeline = function(count, since_id, max_id, trim_user, exclude_replies, contributor_details, include_rts, callback) {

  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.
  process.nextTick(function() {
    var err = new Error('Not implemented');
    callback(err);
  });
  
}


/**
 * Returns a collection of the most recent Tweets
 * @param {string} since_id Returns result with an ID greater than the specified ID
 * @param {string} max_id Returns results with an ID less than or equal to the specified ID
 * @param {string} trim_user When set to either true, t or 1, each tweet returned in a timeline will include a user object
 * @param {boolean} exclude_replies This paramters will prevent from appearing in the returned timeline
 * @param {boolean} contributor_details This paramters enhances the contributors element of the status response to include the screen_name of the contributor
 * @callback {Function} callback Callback function
 * @param {Error|string} err Error object
 * @param {Tweets} result Result object
 */
SwaggerModel.getStatusesHomeTimeline = function(since_id, max_id, trim_user, exclude_replies, contributor_details, callback) {

  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.
  process.nextTick(function() {
    var err = new Error('Not implemented');
    callback(err);
  });
  
}


/**
 * Retruns a collection of the 100 most recent retweets of the tweet specified by the id
 * @param {string} id The numerical ID of the desired status
 * @param {string} count Specifies the number of tweets to try and retrieve
 * @param {string} trim_user When set to either true, t or 1, each tweet returned in a timeline will include a user object
 * @callback {Function} callback Callback function
 * @param {Error|string} err Error object
 * @param {Tweets} result Result object
 */
SwaggerModel.getStatusesRetweetsId = function(id, count, trim_user, callback) {

  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.
  process.nextTick(function() {
    var err = new Error('Not implemented');
    callback(err);
  });
  
}


/**
 * Retweens a tweet
 * @param {string} id The numerical ID of the desired status
 * @param {string} trim_user When set to either true, t or 1, each tweet returned in a timeline will include a user object
 * @callback {Function} callback Callback function
 * @param {Error|string} err Error object
 * @param {Tweets} result Result object
 */
SwaggerModel.postStatusesRetweetsId = function(id, trim_user, callback) {

  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.
  process.nextTick(function() {
    var err = new Error('Not implemented');
    callback(err);
  });
  
}


/**
 * Retruns a single Tweet
 * @param {string} id The numerical ID of the desired status
 * @param {string} trim_user When set to either true, t or 1, each tweet returned in a timeline will include a user object
 * @param {string} include_my_retweet When set to either true, t or 1, any Tweets returned that have been retweeted by the authenticating
 * @param {string} include_entities The entities node will be disincluded when set to false
 * @callback {Function} callback Callback function
 * @param {Error|string} err Error object
 * @param {Tweets} result Result object
 */
SwaggerModel.getStatusesShowId = function(id, trim_user, include_my_retweet, include_entities, callback) {

  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.
  process.nextTick(function() {
    var err = new Error('Not implemented');
    callback(err);
  });
  
}


/**
 * Destroys the status specified by the required ID parameter
 * @param {string} id The numerical ID of the desired status
 * @param {string} trim_user When set to either true, t or 1, each tweet returned in a timeline will include a user object
 * @callback {Function} callback Callback function
 * @param {Error|string} err Error object
 * @param {Tweets} result Result object
 */
SwaggerModel.postStatusesDestroyId = function(id, trim_user, callback) {

  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.
  process.nextTick(function() {
    var err = new Error('Not implemented');
    callback(err);
  });
  
}


/**
 * Updates the authenticating user's status
 * @param {string} status The text of your status update
 * @param {string} in_reply_to_status_id The ID of an existing status
 * @param {string} lat The latitude of the location
 * @param {string} long The longitude of the location
 * @param {string} place_id A place in the world
 * @param {string} display_coordinates Whether or not to put a pin on the exact coordinates a tweet
 * @param {string} trim_user When set to either true, t or 1, each tweet returned in a timeline will include a user object
 * @callback {Function} callback Callback function
 * @param {Error|string} err Error object
 * @param {Tweets} result Result object
 */
SwaggerModel.postStatusesUpdate = function(status, in_reply_to_status_id, lat, long, place_id, display_coordinates, trim_user, callback) {

  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.
  process.nextTick(function() {
    var err = new Error('Not implemented');
    callback(err);
  });
  
  /*
  var err0 = new Error('Error');
  err0.statusCode = 403;
  return cb(err0);
  */ 
}


/**
 * Returns information allowing the creation of an embedded representation
 * @param {string} id The tweet/status id to return embed code for
 * @param {string} url The encoded URL of the Tweet status to be embedded
 * @param {string} maxwidth The maximum width in pixels that the embed should be rendered at
 * @param {string} hide_media Specifies whether the embedded tweet should automatically show the original message in the case that the embedded Tweet is a reply
 * @param {string} hide_thread Specifies whether the embedded Tweet html should include a 'script' element pointing to widgets.js
 * @param {string} align Specifies whether the embedded Tweet should be left aligned
 * @param {string} related A value for the TWT related parameters
 * @param {string} lang Languages code for the rendered embed
 * @callback {Function} callback Callback function
 * @param {Error|string} err Error object
 * @param {Tweets} result Result object
 */
SwaggerModel.getStatusesOembed = function(id, url, maxwidth, hide_media, hide_thread, align, related, lang, callback) {

  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.
  process.nextTick(function() {
    var err = new Error('Not implemented');
    callback(err);
  });
  
}


/**
 * Return all lists the authenticating or specified user subscribes to, including their own.
 * @param {string} screen_name The screen name of the user for whom to return results for
 * @param {string} user_id The ID of the user for whom to return results for
 * @callback {Function} callback Callback function
 * @param {Error|string} err Error object
 * @param {Lists} result Result object
 */
SwaggerModel.getListsList = function(screen_name, user_id, callback) {

  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.
  process.nextTick(function() {
    var err = new Error('Not implemented');
    callback(err);
  });
  
}


/**
 * Returns a timeline of tweets authored by memebers of the specified list
 * @param {string} list_id The numerical id of the list
 * @param {string} slug You can identify a list by its slug instead of its numerical id
 * @param {string} owner_screen_name The screen name of the user who owns the list being requested by a slug
 * @param {string} owner_id The user ID of the user who owns the list being requested by a slug
 * @param {string} since_id Returns results with an ID greater than the sepcified ID
 * @param {string} max_id Returns results with an ID less than or equal to the specified ID
 * @param {string} count Specifies the number of results to retrieve per page
 * @param {string} include_entities Entities are ON by default
 * @param {string} include_rts When set to either true, t or 1, the list timeline will contain native retweets in addition to the standard stream of tweets
 * @callback {Function} callback Callback function
 * @param {Error|string} err Error object
 * @param {Tweets} result Result object
 */
SwaggerModel.getListsStatuses = function(list_id, slug, owner_screen_name, owner_id, since_id, max_id, count, include_entities, include_rts, callback) {

  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.
  process.nextTick(function() {
    var err = new Error('Not implemented');
    callback(err);
  });
  
}


/**
 * Returns the list of memebers destroy
 * @param {string} list_id The numerical id of the list
 * @param {string} slug You can identify a list by its slug instrad of its numerical id
 * @param {string} owner_screen_name The screen name of the user who owns the list being requested by a slug
 * @param {string} user_id The id of the user for whom to remove from the list
 * @param {string} screen_name The screen name of the user for whom to remove from the list
 * @param {string} owner_id The is of the user who wons the list being requested by a slug
 * @callback {Function} callback Callback function
 * @param {Error|string} err Error object
 * @param {any} result Result object
 */
SwaggerModel.getListsMembersDestroy = function(list_id, slug, owner_screen_name, user_id, screen_name, owner_id, callback) {

  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.
  process.nextTick(function() {
    var err = new Error('Not implemented');
    callback(err);
  });
  
}


/**
 * Returns the lists of the specified user has been added to
 * @param {string} user_id The id of the user for whom to return results for
 * @param {string} screen_name The screen name of the user for whom to return results for
 * @param {string} cursor Breaks the results into pages
 * @param {string} filter_to_owned_lists When set to true, t or 1, will return just lists the authenticating user owns
 * @callback {Function} callback Callback function
 * @param {Error|string} err Error object
 * @param {Cursor_lists} result Result object
 */
SwaggerModel.getListsMemberships = function(user_id, screen_name, cursor, filter_to_owned_lists, callback) {

  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.
  process.nextTick(function() {
    var err = new Error('Not implemented');
    callback(err);
  });
  
}


/**
 * Returns the subscribers of the specified list
 * @param {string} list_id The numerical id of the list
 * @param {string} slug You can identify a list by its slug insted of its numerical id
 * @param {string} owner_screen_name the screen name of the user who owns the list being requested by a slug
 * @param {string} owner_id The user ID of the user who owns the list being requested by a slug
 * @param {string} cursor Breaks the results into pages
 * @param {string} include_entities Wehn set to either true, t or 1
 * @param {string} skip_status When set to either true, t or 1
 * @callback {Function} callback Callback function
 * @param {Error|string} err Error object
 * @param {Cursor_lists} result Result object
 */
SwaggerModel.getListsSubscribers = function(list_id, slug, owner_screen_name, owner_id, cursor, include_entities, skip_status, callback) {

  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.
  process.nextTick(function() {
    var err = new Error('Not implemented');
    callback(err);
  });
  
}


/**
 * Subscribes the authenticated user to the specified list
 * @param {string} list_id The numerical id of the list
 * @param {string} slug You can identify a list being requested by a slug
 * @param {string} owner_screen_name the screen name of the user who owns the list being requested by a slug
 * @param {string} owner_id The user ID of the user who owns the list being requested by a slug
 * @callback {Function} callback Callback function
 * @param {Error|string} err Error object
 * @param {Lists} result Result object
 */
SwaggerModel.postListsSubscribersCreate = function(list_id, slug, owner_screen_name, owner_id, callback) {

  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.
  process.nextTick(function() {
    var err = new Error('Not implemented');
    callback(err);
  });
  
}


/**
 * Check if the specified user is a subscriber of the specified list
 * @param {string} list_id The numerical id of the list
 * @param {string} slug You can identify a list being requested by a slug
 * @param {string} owner_screen_name The screen name of the user who owns the list being requested by a slug
 * @param {string} user_id The id of the user for whom to remove from the list
 * @param {string} screen_name The screen name of the user for whom to remove from the list
 * @param {string} owner_id The is of the user who wons the list being requested by a slug
 * @param {string} include_entities Wehn set to either true, t or 1
 * @param {string} skip_status When set to either true, t or 1
 * @callback {Function} callback Callback function
 * @param {Error|string} err Error object
 * @param {Users} result Result object
 */
SwaggerModel.getListsSubscribersShow = function(list_id, slug, owner_screen_name, user_id, screen_name, owner_id, include_entities, skip_status, callback) {

  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.
  process.nextTick(function() {
    var err = new Error('Not implemented');
    callback(err);
  });
  
}


/**
 * Returns list of subscribers destroy
 * @param {string} list_id The numerical id of the list
 * @param {string} slug You can identify a list being requested by a slug
 * @param {string} owner_screen_name the screen name of the user who owns the list being requested by a slug
 * @param {string} owner_id The user ID of the user who owns the list being requested by a slug
 * @callback {Function} callback Callback function
 * @param {Error|string} err Error object
 * @param {any} result Result object
 */
SwaggerModel.getListsSubscribersDestroy = function(list_id, slug, owner_screen_name, owner_id, callback) {

  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.
  process.nextTick(function() {
    var err = new Error('Not implemented');
    callback(err);
  });
  
}


/**
 * Returns lists of members create_all
 * @param {string} list_id The numerical id of the list
 * @param {string} slug You can identify a list being requested by a slug
 * @param {string} owner_screen_name the screen name of the user who owns the list being requested by a slug
 * @param {string} owner_id The user ID of the user who owns the list being requested by a slug
 * @param {string} user_id The id of the user for whom to remove from the list
 * @param {string} screen_name The screen name of the user for whom to remove from the list
 * @callback {Function} callback Callback function
 * @param {Error|string} err Error object
 * @param {any} result Result object
 */
SwaggerModel.getListsMembersCreateAll = function(list_id, slug, owner_screen_name, owner_id, user_id, screen_name, callback) {

  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.
  process.nextTick(function() {
    var err = new Error('Not implemented');
    callback(err);
  });
  
}


/**
 * Check if the specified user is a member of the specified list
 * @param {string} list_id The numerical id of the list
 * @param {string} slug You can identify a list being requested by a slug
 * @param {string} user_id The id of the user for whom to remove from the list
 * @param {string} screen_name The screen name of the user for whom to remove from the list
 * @param {string} owner_screen_name The screen name of the user who owns the list being requested by a slug
 * @param {string} owner_id The user ID of the user who owns the list being requested by a slug
 * @param {string} include_entities Wehn set to either true, t or 1
 * @param {string} skip_status When set to either true, t or 1
 * @callback {Function} callback Callback function
 * @param {Error|string} err Error object
 * @param {Users} result Result object
 */
SwaggerModel.getListMembersShow = function(list_id, slug, user_id, screen_name, owner_screen_name, owner_id, include_entities, skip_status, callback) {

  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.
  process.nextTick(function() {
    var err = new Error('Not implemented');
    callback(err);
  });
  
}


/**
 * Returns the members of the specified list
 * @param {string} list_id The numerical id of the list
 * @param {string} slug You can identify a list being requested by a slug
 * @param {string} owner_screen_name The screen name of the user who owns the list being requested by a slug
 * @param {string} owner_id The user ID of the user who owns the list being requested by a slug
 * @param {string} include_entities Wehn set to either true, t or 1
 * @param {string} skip_status When set to either true, t or 1
 * @param {string} cursor Breaks the results into pages
 * @callback {Function} callback Callback function
 * @param {Error|string} err Error object
 * @param {Users} result Result object
 */
SwaggerModel.getListMembers = function(list_id, slug, owner_screen_name, owner_id, include_entities, skip_status, cursor, callback) {

  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.
  process.nextTick(function() {
    var err = new Error('Not implemented');
    callback(err);
  });
  
}


/**
 * Returns list of members create
 * @param {string} list_id The numerical id of the list
 * @param {string} slug You can identify a list being requested by a slug
 * @param {string} screen_name The screen name of the user for whom to remove from the list
 * @param {string} owner_screen_name The screen name of the user who owns the list being requested by a slug
 * @param {string} owner_id The user ID of the user who owns the list being requested by a slug
 * @callback {Function} callback Callback function
 * @param {Error|string} err Error object
 * @param {any} result Result object
 */
SwaggerModel.postListMembersCreate = function(list_id, slug, screen_name, owner_screen_name, owner_id, callback) {

  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.
  process.nextTick(function() {
    var err = new Error('Not implemented');
    callback(err);
  });
  
}


/**
 * Returns list of destroy
 * @param {string} list_id The numerical id of the list
 * @param {string} slug You can identify a list being requested by a slug
 * @param {string} owner_screen_name The screen name of the user who owns the list being requested by a slug
 * @param {string} owner_id The user ID of the user who owns the list being requested by a slug
 * @callback {Function} callback Callback function
 * @param {Error|string} err Error object
 * @param {Lists} result Result object
 */
SwaggerModel.postListsDestroy = function(list_id, slug, owner_screen_name, owner_id, callback) {

  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.
  process.nextTick(function() {
    var err = new Error('Not implemented');
    callback(err);
  });
  
}


/**
 * Returns lists of updates
 * @param {string} list_id The numerical id of the list
 * @param {string} slug You can identify a list being requested by a slug
 * @param {string} owner_screen_name The screen name of the user who owns the list being requested by a slug
 * @param {string} owner_id The user ID of the user who owns the list being requested by a slug
 * @param {string} name The name for the list
 * @param {string} mode Whether your list is public or private
 * @param {string} description The description to give the list
 * @callback {Function} callback Callback function
 * @param {Error|string} err Error object
 * @param {any} result Result object
 */
SwaggerModel.postListsUpdate = function(list_id, slug, owner_screen_name, owner_id, name, mode, description, callback) {

  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.
  process.nextTick(function() {
    var err = new Error('Not implemented');
    callback(err);
  });
  
}


/**
 * Returns list of create
 * @param {string} name The name for the list
 * @param {string} mode Whether your list is public or private
 * @param {string} description The description to give the list
 * @callback {Function} callback Callback function
 * @param {Error|string} err Error object
 * @param {Lists} result Result object
 */
SwaggerModel.postListsCreate = function(name, mode, description, callback) {

  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.
  process.nextTick(function() {
    var err = new Error('Not implemented');
    callback(err);
  });
  
}


/**
 * Returns list of show
 * @param {string} list_id The numerical id of the list
 * @param {string} slug You can identify a list being requested by a slug
 * @param {string} owner_screen_name The screen name of the user who owns the list being requested by a slug
 * @param {string} owner_id The user ID of the user who owns the list being requested by a slug
 * @callback {Function} callback Callback function
 * @param {Error|string} err Error object
 * @param {Lists} result Result object
 */
SwaggerModel.getListsShow = function(list_id, slug, owner_screen_name, owner_id, callback) {

  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.
  process.nextTick(function() {
    var err = new Error('Not implemented');
    callback(err);
  });
  
}


/**
 * Returns list of subscriptions
 * @param {string} screen_name The screen name of the user
 * @param {string} user_id The id of the user for whom to return results for
 * @param {string} count The amount of results to return per page
 * @param {string} cursor Breaks the results into pages
 * @callback {Function} callback Callback function
 * @param {Error|string} err Error object
 * @param {Cursor_lists} result Result object
 */
SwaggerModel.getListsSubscriptions = function(screen_name, user_id, count, cursor, callback) {

  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.
  process.nextTick(function() {
    var err = new Error('Not implemented');
    callback(err);
  });
  
}


/**
 * Returns lists of destroy all
 * @param {string} list_id The numerical id of the list
 * @param {string} slug You can identify a list being requested by a slug
 * @param {string} user_id The id of the user for whom to remove from the list
 * @param {string} screen_name The screen name of the user for whom to remove from the list
 * @param {string} owner_screen_name The screen name of the user who owns the list being requested by a slug
 * @param {string} owner_id The user ID of the user who owns the list being requested by a slug
 * @callback {Function} callback Callback function
 * @param {Error|string} err Error object
 * @param {Cursor_lists} result Result object
 */
SwaggerModel.getListMembersDestroyAll = function(list_id, slug, user_id, screen_name, owner_screen_name, owner_id, callback) {

  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.
  process.nextTick(function() {
    var err = new Error('Not implemented');
    callback(err);
  });
  
}


/**
 * return 20 most recent direct messages sent
 * @param {string} since_id undefined
 * @param {string} max_id undefined
 * @param {string} count undefined
 * @param {string} page undefined
 * @param {string} include_entities undefined
 * @callback {Function} callback Callback function
 * @param {Error|string} err Error object
 * @param {Messages} result Result object
 */
SwaggerModel.getDirectMessagesSent = function(since_id, max_id, count, page, include_entities, callback) {

  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.
  process.nextTick(function() {
    var err = new Error('Not implemented');
    callback(err);
  });
  
}


/**
 * returns a single direct message specified by an id
 * @param {string} id ID of direct message
 * @callback {Function} callback Callback function
 * @param {Error|string} err Error object
 * @param {Messages} result Result object
 */
SwaggerModel.getDirectMessagesShow = function(id, callback) {

  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.
  process.nextTick(function() {
    var err = new Error('Not implemented');
    callback(err);
  });
  
}


/**
 * returns collection of relevant Tweets matching query
 * @param {string} q URL-encoded search query of 500 characters max
 * @param {string} geocode returns tweets by users located within given radius
 * @param {string} lang restricts tweets to a given language
 * @param {string} locale language of query you are sending
 * @param {string} result_type specifies type of search results you prefer
 * @param {string} count number of tweets to return
 * @param {string} until returns tweets created before given date
 * @param {string} since_id return results with ID greater than specified
 * @param {string} max_id returns results with an ID less than/equal to specified ID
 * @param {string} include_entities whether or not to include entities
 * @param {string} callback response will use the callback with given name
 * @callback {Function} callback Callback function
 * @param {Error|string} err Error object
 * @param {Tweets} result Result object
 */
SwaggerModel.getSearchTweets = function(q, geocode, lang, locale, result_type, count, until, since_id, max_id, include_entities, callback, callback) {

  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.
  process.nextTick(function() {
    var err = new Error('Not implemented');
    callback(err);
  });
  
}


/**
 * Returns the authenticated user's saved search queries

 * @callback {Function} callback Callback function
 * @param {Error|string} err Error object
 * @param {Query} result Result object
 */
SwaggerModel.getSavedSearchesList = function(callback) {

  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.
  process.nextTick(function() {
    var err = new Error('Not implemented');
    callback(err);
  });
  
}


/**
 * Retrieve the information for the saved search represented by the given id
 * @param {string} id The id of the saved search
 * @callback {Function} callback Callback function
 * @param {Error|string} err Error object
 * @param {Query} result Result object
 */
SwaggerModel.getSavedSearchesShowId = function(id, callback) {

  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.
  process.nextTick(function() {
    var err = new Error('Not implemented');
    callback(err);
  });
  
}


/**
 * Create a new saved search for the authenticated user
 * @param {string} query The query of the search the user would like to save
 * @callback {Function} callback Callback function
 * @param {Error|string} err Error object
 * @param {Query} result Result object
 */
SwaggerModel.postSavedSearchesCreate = function(query, callback) {

  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.
  process.nextTick(function() {
    var err = new Error('Not implemented');
    callback(err);
  });
  
}


/**
 * Destroy a saved search for the authenticating user
 * @param {string} id The id of the saved search
 * @callback {Function} callback Callback function
 * @param {Error|string} err Error object
 * @param {Query} result Result object
 */
SwaggerModel.postSavedSearchesDestroyId = function(id, callback) {

  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.
  process.nextTick(function() {
    var err = new Error('Not implemented');
    callback(err);
  });
  
}


/**
 * return 20 most recent direct messages sent to user
 * @param {string} since_id return results with ID greater than specified
 * @param {string} max_id returns results with an ID less than/equal to specified ID
 * @param {string} include_entities whether or not to include entities
 * @param {string} skip_status whether or not to include status
 * @callback {Function} callback Callback function
 * @param {Error|string} err Error object
 * @param {Messages} result Result object
 */
SwaggerModel.getDirectMessages = function(since_id, max_id, include_entities, skip_status, callback) {

  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.
  process.nextTick(function() {
    var err = new Error('Not implemented');
    callback(err);
  });
  
}


/**
 * destroys direct messages specified in required ID
 * @param {string} id ID of direct message to delete
 * @param {string} include_entities whether or not to include entities
 * @callback {Function} callback Callback function
 * @param {Error|string} err Error object
 * @param {Messages} result Result object
 */
SwaggerModel.postDirectMessagesDestroy = function(id, include_entities, callback) {

  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.
  process.nextTick(function() {
    var err = new Error('Not implemented');
    callback(err);
  });
  
}


/**
 * sends a new direct message to specified user
 * @param {string} user_id description
 * @param {string} screen_name screen name of user receiving message
 * @param {string} text text of your direct message
 * @callback {Function} callback Callback function
 * @param {Error|string} err Error object
 * @param {Messages} result Result object
 */
SwaggerModel.postDirectMessagesNew = function(user_id, screen_name, text, callback) {

  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.
  process.nextTick(function() {
    var err = new Error('Not implemented');
    callback(err);
  });
  
}


/**
 * returns a cursored collection of user IDs followed by user
 * @param {string} user_id ID of user for whom to return results for
 * @param {string} screen_name screen name of user for whom to return results for
 * @param {string} cursor causes list of connections to be broken in pages
 * @param {string} stringify_ids IDs converted to strings
 * @param {string} count number of IDs to attempt retrieval of
 * @callback {Function} callback Callback function
 * @param {Error|string} err Error object
 * @param {Cursor_ids} result Result object
 */
SwaggerModel.getFriendsIds = function(user_id, screen_name, cursor, stringify_ids, count, callback) {

  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.
  process.nextTick(function() {
    var err = new Error('Not implemented');
    callback(err);
  });
  
}


/**
 * returns a cursored collection of user IDs following the user
 * @param {string} user_id ID of user for whom to return results for
 * @param {string} screen_name screen name of user for whom to return results for
 * @param {string} cursor causes list of connections to be broken in pages
 * @param {string} stringify_ids IDs converted to strings
 * @param {string} count number of IDs to attempt retrieval of
 * @callback {Function} callback Callback function
 * @param {Error|string} err Error object
 * @param {Cursor_ids} result Result object
 */
SwaggerModel.getFollowersIds = function(user_id, screen_name, cursor, stringify_ids, count, callback) {

  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.
  process.nextTick(function() {
    var err = new Error('Not implemented');
    callback(err);
  });
  
}


/**
 * returns collection of IDs of users with pending follow request
 * @param {string} cursor causes list of connections to be broken in pages
 * @param {string} stringify_ids IDs converted to strings
 * @callback {Function} callback Callback function
 * @param {Error|string} err Error object
 * @param {Cursor_ids} result Result object
 */
SwaggerModel.getFriendshipsIncoming = function(cursor, stringify_ids, callback) {

  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.
  process.nextTick(function() {
    var err = new Error('Not implemented');
    callback(err);
  });
  
}


/**
 * returns collection of IDs of users with pending follow request from the user
 * @param {string} cursor causes list of connections to be broken in pages
 * @param {string} stringify_ids IDs converted to strings
 * @callback {Function} callback Callback function
 * @param {Error|string} err Error object
 * @param {Cursor_ids} result Result object
 */
SwaggerModel.getFriendshipsOutgoing = function(cursor, stringify_ids, callback) {

  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.
  process.nextTick(function() {
    var err = new Error('Not implemented');
    callback(err);
  });
  
}


/**
 * allows users to follow user sepcified by ID
 * @param {string} screen_name screen name of user for whom to befriend
 * @param {string} user_id ID of user for whom to befriend
 * @param {string} follow enable notifications for target user
 * @callback {Function} callback Callback function
 * @param {Error|string} err Error object
 * @param {Users} result Result object
 */
SwaggerModel.postFriendshipsCreate = function(screen_name, user_id, follow, callback) {

  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.
  process.nextTick(function() {
    var err = new Error('Not implemented');
    callback(err);
  });
  
}


/**
 * allows user to unfollow user psecified by ID
 * @param {string} screen_name screen name of user for whom to befriend
 * @param {string} user_id ID of user for whom to befriend
 * @callback {Function} callback Callback function
 * @param {Error|string} err Error object
 * @param {Users} result Result object
 */
SwaggerModel.postFriendshipsDestroy = function(screen_name, user_id, callback) {

  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.
  process.nextTick(function() {
    var err = new Error('Not implemented');
    callback(err);
  });
  
}


/**
 * Allows one to enable or disable settings for specified user
 * @param {string} screen_name screen name of user for whom to befriend
 * @param {string} user_id ID of user for whom to befriend
 * @param {string} device enable/disable device notifications for user
 * @param {string} retweets enable/disable retweets from target user
 * @callback {Function} callback Callback function
 * @param {Error|string} err Error object
 * @param {Friendship} result Result object
 */
SwaggerModel.postFriendshipsUpdate = function(screen_name, user_id, device, retweets, callback) {

  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.
  process.nextTick(function() {
    var err = new Error('Not implemented');
    callback(err);
  });
  
}


/**
 * returns detailed info about relationship between two users
 * @param {string} source_id user id of subject user
 * @param {string} source_screen_name screen_name of subject user
 * @param {string} target_id user id of target user
 * @param {string} target_screen_name screen name of target user
 * @callback {Function} callback Callback function
 * @param {Error|string} err Error object
 * @param {Friendship} result Result object
 */
SwaggerModel.getFriendshipsShow = function(source_id, source_screen_name, target_id, target_screen_name, callback) {

  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.
  process.nextTick(function() {
    var err = new Error('Not implemented');
    callback(err);
  });
  
}


/**
 * returns settings for user

 * @callback {Function} callback Callback function
 * @param {Error|string} err Error object
 * @param {Settings} result Result object
 */
SwaggerModel.getAccountSettings = function(callback) {

  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.
  process.nextTick(function() {
    var err = new Error('Not implemented');
    callback(err);
  });
  
}


/**
 * updates user's settings
 * @param {string} trend_location_woeid the Yahoo! Where On Earth ID to user as defaul tend location
 * @param {string} sleep_time_enabled enables/disables sleep time, silencing notifications
 * @param {string} start_sleep_time the hour that sleep time should begin if enabled
 * @param {string} end_sleep_time the hour that sleep time should end if enabled
 * @param {string} time_zone timezone dates and times should be displayed in
 * @param {string} lang language which Twitter should render in for the user
 * @callback {Function} callback Callback function
 * @param {Error|string} err Error object
 * @param {Settings} result Result object
 */
SwaggerModel.postAccountSettings = function(trend_location_woeid, sleep_time_enabled, start_sleep_time, end_sleep_time, time_zone, lang, callback) {

  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.
  process.nextTick(function() {
    var err = new Error('Not implemented');
    callback(err);
  });
  
}


/**
 * sets which device Twitter delivers updates to for user
 * @param {string} device must be one of sms, none
 * @param {string} include_entities whether or not to include entities
 * @callback {Function} callback Callback function
 * @param {Error|string} err Error object
 * @param {Settings} result Result object
 */
SwaggerModel.postAccountUpdateDeliveryDevice = function(device, include_entities, callback) {

  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.
  process.nextTick(function() {
    var err = new Error('Not implemented');
    callback(err);
  });
  
}


/**
 * sets values that users ar eable to set under Account tab
 * @param {string} name full name of profile
 * @param {string} url url associated with profile
 * @param {string} location city or country describing where user of account is.
 * @param {string} description a description of user owning account
 * @param {string} include_entities whether or not to include entities
 * @param {string} skip_status whether or not to include statuses in response
 * @callback {Function} callback Callback function
 * @param {Error|string} err Error object
 * @param {Settings} result Result object
 */
SwaggerModel.postAccountUpdateProfile = function(name, url, location, description, include_entities, skip_status, callback) {

  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.
  process.nextTick(function() {
    var err = new Error('Not implemented');
    callback(err);
  });
  
}


/**
 * updates user's profile background image
 * @param {string} tile whether or not to tile background image
 * @param {string} use display background image or not
 * @param {string} include_entities whether or not to include entities
 * @param {string} skip_status whether or not to include status in returned user objects
 * @param {file} file image to replace background image of profile
 * @callback {Function} callback Callback function
 * @param {Error|string} err Error object
 * @param {Settings} result Result object
 */
SwaggerModel.postAccountUpdateProfileBackgroundImage = function(tile, use, include_entities, skip_status, file, callback) {

  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.
  process.nextTick(function() {
    var err = new Error('Not implemented');
    callback(err);
  });
  
}


/**
 * sets one or more hex values that controls color scheme
 * @param {string} profile_background_color profile background color
 * @param {string} profile_link_color profile link color
 * @param {string} profile_sidebar_border_color profile sidebar's border color
 * @param {string} profile_sidebar_fill_color profile's sidebar background color
 * @param {string} profile_text_color profile text color
 * @param {string} include_entities whether or not to include entities
 * @param {string} skip_status whether or not to include statuses
 * @callback {Function} callback Callback function
 * @param {Error|string} err Error object
 * @param {Settings} result Result object
 */
SwaggerModel.postAccountUpdateProfileColors = function(profile_background_color, profile_link_color, profile_sidebar_border_color, profile_sidebar_fill_color, profile_text_color, include_entities, skip_status, callback) {

  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.
  process.nextTick(function() {
    var err = new Error('Not implemented');
    callback(err);
  });
  
}


/**
 * updates user's profile image
 * @param {string} skip_status whether or not to include statuses
 * @param {file} image image to be set as profile image
 * @callback {Function} callback Callback function
 * @param {Error|string} err Error object
 * @param {Settings} result Result object
 */
SwaggerModel.postAccountUpdateProfileImage = function(skip_status, image, callback) {

  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.
  process.nextTick(function() {
    var err = new Error('Not implemented');
    callback(err);
  });
  
}


/**
 * disallows retweets and device notifications from a user
 * @param {string} include_entities whether or not to include entities
 * @param {string} skip_status whether or not to include statuses in response
 * @param {string} cursor breaks block of user to be broken up into pages
 * @callback {Function} callback Callback function
 * @param {Error|string} err Error object
 * @param {Cursor_users} result Result object
 */
SwaggerModel.getBlocksList = function(include_entities, skip_status, cursor, callback) {

  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.
  process.nextTick(function() {
    var err = new Error('Not implemented');
    callback(err);
  });
  
}


/**
 * returns array of numeric user ids of blocked users
 * @param {string} stringify_ids returns array of numeric IDs as string IDs
 * @param {string} cursor breaks up block of user IDs into pages
 * @callback {Function} callback Callback function
 * @param {Error|string} err Error object
 * @param {Cursor_users} result Result object
 */
SwaggerModel.getBlocksIds = function(stringify_ids, cursor, callback) {

  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.
  process.nextTick(function() {
    var err = new Error('Not implemented');
    callback(err);
  });
  
}


/**
 * blocks the specified user
 * @param {string} screen_name screen name of user to be blocked
 * @param {string} user_id ID of user to be blocked
 * @param {string} include_entities whether or not to include entities
 * @param {string} skip_status whether or not to skip statuses
 * @callback {Function} callback Callback function
 * @param {Error|string} err Error object
 * @param {Users} result Result object
 */
SwaggerModel.postBlocksCreate = function(screen_name, user_id, include_entities, skip_status, callback) {

  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.
  process.nextTick(function() {
    var err = new Error('Not implemented');
    callback(err);
  });
  
}


/**
 * un-blocks the specified user
 * @param {string} screen_name screen name of user to be un-blocked
 * @param {string} user_id ID of user to be un-blocked
 * @param {string} include_entities whether or not to include entities
 * @param {string} skip_status whether or not to skip statuses
 * @callback {Function} callback Callback function
 * @param {Error|string} err Error object
 * @param {Users} result Result object
 */
SwaggerModel.postBlocksDestroy = function(screen_name, user_id, include_entities, skip_status, callback) {

  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.
  process.nextTick(function() {
    var err = new Error('Not implemented');
    callback(err);
  });
  
}


/**
 * returns fully-hydrated user objects up to 100
 * @param {string} screen_name screen name of user to lookup
 * @param {string} user_id ID of user to lookup
 * @param {string} include_entities whether or not to include entities
 * @callback {Function} callback Callback function
 * @param {Error|string} err Error object
 * @param {Users} result Result object
 */
SwaggerModel.getUsersLookup = function(screen_name, user_id, include_entities, callback) {

  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.
  process.nextTick(function() {
    var err = new Error('Not implemented');
    callback(err);
  });
  
}


/**
 * returns a variety of info about specified user
 * @param {string} screen_name screen name of user to be shown
 * @param {string} user_id ID of user to be shown
 * @param {string} include_entities whether or not to include entities
 * @callback {Function} callback Callback function
 * @param {Error|string} err Error object
 * @param {Users} result Result object
 */
SwaggerModel.getUsersShow = function(screen_name, user_id, include_entities, callback) {

  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.
  process.nextTick(function() {
    var err = new Error('Not implemented');
    callback(err);
  });
  
}


/**
 * simple relevance-based user search
 * @param {string} q the search query to run against people search
 * @param {string} page specifies the page of results to receive
 * @param {string} count number of people to return per page
 * @param {string} include_entities whether or not to include entities
 * @callback {Function} callback Callback function
 * @param {Error|string} err Error object
 * @param {Users} result Result object
 */
SwaggerModel.getUsersSearch = function(q, page, count, include_entities, callback) {

  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.
  process.nextTick(function() {
    var err = new Error('Not implemented');
    callback(err);
  });
  
}


/**
 * collection of users specified user can contribute to
 * @param {string} screen_name screen name of user that is contributed to
 * @param {string} user_id ID of user to that is contributed to
 * @param {string} include_entities whether or not to include entities
 * @param {string} skip_status whether or not to skip statuses
 * @callback {Function} callback Callback function
 * @param {Error|string} err Error object
 * @param {Users} result Result object
 */
SwaggerModel.getUsersContributees = function(screen_name, user_id, include_entities, skip_status, callback) {

  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.
  process.nextTick(function() {
    var err = new Error('Not implemented');
    callback(err);
  });
  
}


/**
 * collection of users that can contribute to specified account
 * @param {string} screen_name screen name of user contributing
 * @param {string} user_id ID of user contributing
 * @param {string} include_entities whether or not to include entities
 * @param {string} skip_status whether or not to skip statuses
 * @callback {Function} callback Callback function
 * @param {Error|string} err Error object
 * @param {Users} result Result object
 */
SwaggerModel.getUsersContributors = function(screen_name, user_id, include_entities, skip_status, callback) {

  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.
  process.nextTick(function() {
    var err = new Error('Not implemented');
    callback(err);
  });
  
}


/**
 * Returns all the information about a know place
 * @param {string} place_id A place in the world
 * @callback {Function} callback Callback function
 * @param {Error|string} err Error object
 * @param {Places} result Result object
 */
SwaggerModel.getGeoIdPlaceId = function(place_id, callback) {

  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.
  process.nextTick(function() {
    var err = new Error('Not implemented');
    callback(err);
  });
  
}


/**
 * Given a latitude and a longitude, searches for up to 20 places that can be used as a place_id when updatting a status
 * @param {string} lat The latitude to search around
 * @param {string} long The longtitude to search around
 * @param {string} accuracy A hint on region in which to search
 * @param {string} granularity This is the minimal granularity of place types to return
 * @param {string} max_results A hint as to the number of results to return
 * @param {string} callback If supplied, the responses will use the JSON format with a callback of the given name
 * @callback {Function} callback Callback function
 * @param {Error|string} err Error object
 * @param {Places} result Result object
 */
SwaggerModel.getGeoReverseGeoncode = function(lat, long, accuracy, granularity, max_results, callback, callback) {

  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.
  process.nextTick(function() {
    var err = new Error('Not implemented');
    callback(err);
  });
  
}


/**
 * Search for places that can be attached to a statuses/updates
 * @param {string} lat The latitude to search around
 * @param {string} long The longtitude to search around
 * @param {string} query Free-form text to match against while executing a geo-based query
 * @param {string} ip An Ip address
 * @param {string} accuracy A hint on region in which to search
 * @param {string} granularity This is the minimal granularity of place types to return
 * @param {string} contained_within This is the place_id which you would like to restrict the search results to
 * @param {string} attribute:street_address This parameter searches for places which have this givven street address
 * @param {string} callback If supplied, the responses will use the JSON format with a callback of the given name
 * @callback {Function} callback Callback function
 * @param {Error|string} err Error object
 * @param {Places} result Result object
 */
SwaggerModel.getGeoSearch = function(lat, long, query, ip, accuracy, granularity, contained_within, attribute:street_address, callback, callback) {

  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.
  process.nextTick(function() {
    var err = new Error('Not implemented');
    callback(err);
  });
  
}


/**
 * Locates places near the given coordinates which are similar in name
 * @param {string} lat The latitude to search around
 * @param {string} long The longtitude to search around
 * @param {string} name The name a place is known as
 * @param {string} contained_within This is the place_id which you would like to restrict the search results to
 * @param {string} attribute:street_address This parameter searches for places which have this givven street address
 * @param {string} callback If supplied, the responses will use the JSON format with a callback of the given name
 * @callback {Function} callback Callback function
 * @param {Error|string} err Error object
 * @param {Places} result Result object
 */
SwaggerModel.getGeoSimilarPlaces = function(lat, long, name, contained_within, attribute:street_address, callback, callback) {

  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.
  process.nextTick(function() {
    var err = new Error('Not implemented');
    callback(err);
  });
  
}


/**
 * Create a new place object at the given latitude and logitude
 * @param {string} lat The latitude to search around
 * @param {string} long The longtitude to search around
 * @param {string} name The name a place is known as
 * @param {string} token The token found in the response from geo/similar_places
 * @param {string} contained_within This is the place_id which you would like to restrict the search results to
 * @param {string} attribute:street_address This parameter searches for places which have this givven street address
 * @param {string} callback If supplied, the responses will use the JSON format with a callback of the given name
 * @callback {Function} callback Callback function
 * @param {Error|string} err Error object
 * @param {Places} result Result object
 */
SwaggerModel.getGeoPlaces = function(lat, long, name, token, contained_within, attribute:street_address, callback, callback) {

  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.
  process.nextTick(function() {
    var err = new Error('Not implemented');
    callback(err);
  });
  
}


/**
 * Returns the top 10 trending topics for a specific WOEID
 * @param {string} id The yahoo where on earch id
 * @param {string} exclude Setting this equal to hashtages will remove all hashtages from the trends list
 * @callback {Function} callback Callback function
 * @param {Error|string} err Error object
 * @param {TrendInfo} result Result object
 */
SwaggerModel.getTrendsPlace = function(id, exclude, callback) {

  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.
  process.nextTick(function() {
    var err = new Error('Not implemented');
    callback(err);
  });
  
}


/**
 * Returns the availability

 * @callback {Function} callback Callback function
 * @param {Error|string} err Error object
 * @param {Location} result Result object
 */
SwaggerModel.getTrendsAvailable = function(callback) {

  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.
  process.nextTick(function() {
    var err = new Error('Not implemented');
    callback(err);
  });
  
}


/**
 * Returns the location that Twitter has trending topic information for
 * @param {string} lat If provided with a long parameter the available trend locations wil be stored by distance
 * @param {string} long If provided with a lat parameters the available trend locations will be sorted by distance
 * @callback {Function} callback Callback function
 * @param {Error|string} err Error object
 * @param {Location} result Result object
 */
SwaggerModel.getTrendsClosest = function(lat, long, callback) {

  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.
  process.nextTick(function() {
    var err = new Error('Not implemented');
    callback(err);
  });
  
}


/**
 * Returna users report spam
 * @param {string} screen_name The ID or screen_name of the user you want to report as a spammer
 * @param {string} user_id The ID of the user you want to report as a spammer
 * @callback {Function} callback Callback function
 * @param {Error|string} err Error object
 * @param {Users} result Result object
 */
SwaggerModel.postUsersReportSpam = function(screen_name, user_id, callback) {

  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.
  process.nextTick(function() {
    var err = new Error('Not implemented');
    callback(err);
  });
  
}


/**
 * Returns the current configuration used by Twitter including twitter.com slugs which are not usernames

 * @callback {Function} callback Callback function
 * @param {Error|string} err Error object
 * @param {Help_Config} result Result object
 */
SwaggerModel.getHelpConfiguration = function(callback) {

  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.
  process.nextTick(function() {
    var err = new Error('Not implemented');
    callback(err);
  });
  
}


/**
 * Returns the list of languages supported by Twitter along with the language code supported by Twitter

 * @callback {Function} callback Callback function
 * @param {Error|string} err Error object
 * @param {Help_Language} result Result object
 */
SwaggerModel.getHelpLanguages = function(callback) {

  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.
  process.nextTick(function() {
    var err = new Error('Not implemented');
    callback(err);
  });
  
}


/**
 * Returns Twitter's privacy policy

 * @callback {Function} callback Callback function
 * @param {Error|string} err Error object
 * @param {Help_Privacy} result Result object
 */
SwaggerModel.getHelpPrivacy = function(callback) {

  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.
  process.nextTick(function() {
    var err = new Error('Not implemented');
    callback(err);
  });
  
}


/**
 * Returns the Twitter Terms of Service

 * @callback {Function} callback Callback function
 * @param {Error|string} err Error object
 * @param {Help_Tos} result Result object
 */
SwaggerModel.getHelpTos = function(callback) {

  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.
  process.nextTick(function() {
    var err = new Error('Not implemented');
    callback(err);
  });
  
}


/**
 * Returns the current rate limits for methods belonging to the specified resource families
 * @param {string[]} resources A comma-separated list of resource families you want to know the current rate limit disposition for
 * @callback {Function} callback Callback function
 * @param {Error|string} err Error object
 * @param {any} result Result object
 */
SwaggerModel.getApplicationRateLimitStatus = function(resources, callback) {

  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.
  process.nextTick(function() {
    var err = new Error('Not implemented');
    callback(err);
  });
  
}




SwaggerModel.remoteMethod('getStatusesMentionsTimeline',
  { isStatic: true,
  accepts: 
   [ { arg: 'count',
       type: 'string',
       description: 'Specifies the number of tweets to try and retrieve',
       required: false,
       http: { source: 'query' } },
     { arg: 'since_id',
       type: 'string',
       description: 'Returns result with an ID greater than the specified ID',
       required: false,
       http: { source: 'query' } },
     { arg: 'max_id',
       type: 'string',
       description: 'Returns results with an ID less than or equal to the specified ID',
       required: false,
       http: { source: 'query' } },
     { arg: 'trim_user',
       type: 'string',
       description: 'When set to either true, t or 1, each tweet returned in a timeline will include a user object',
       required: false,
       http: { source: 'query' } },
     { arg: 'contributor_details',
       type: 'string',
       description: 'This parameter enhances the contributors element of the status response',
       required: false,
       http: { source: 'query' } },
     { arg: 'include_entities',
       type: 'string',
       description: 'The entities node will be disincluded when set to false',
       required: false,
       http: { source: 'query' } } ],
  returns: 
   [ { description: 'Success',
       type: [ 'Tweets' ],
       arg: 'data',
       root: true } ],
  http: { verb: 'get', path: '/statuses/mentions_timeline' },
  description: 'Returns the 20 most recent mentions for the authenticating user' }
);

SwaggerModel.remoteMethod('getStatusesUserTimeline',
  { isStatic: true,
  accepts: 
   [ { arg: 'count',
       type: 'string',
       description: 'Specifies the number of tweets to try and retrieve',
       required: false,
       http: { source: 'query' } },
     { arg: 'since_id',
       type: 'string',
       description: 'Returns result with an ID greater than the specified ID',
       required: false,
       http: { source: 'query' } },
     { arg: 'max_id',
       type: 'string',
       description: 'Returns results with an ID less than or equal to the specified ID',
       required: false,
       http: { source: 'query' } },
     { arg: 'trim_user',
       type: 'string',
       description: 'When set to either true, t or 1, each tweet returned in a timeline will include a user object',
       required: false,
       http: { source: 'query' } },
     { arg: 'exclude_replies',
       type: 'boolean',
       description: 'This paramters will prevent from appearing in the returned timeline',
       required: false,
       http: { source: 'query' } },
     { arg: 'contributor_details',
       type: 'boolean',
       description: 'This paramters enhances the contributors element of the status response to include the screen_name of the contributor',
       required: false,
       http: { source: 'query' } },
     { arg: 'include_rts',
       type: 'boolean',
       description: 'When set to false, the timeline will strip any native retweet',
       required: false,
       http: { source: 'query' } } ],
  returns: 
   [ { description: 'Success',
       type: [ 'Tweets' ],
       arg: 'data',
       root: true } ],
  http: { verb: 'get', path: '/statuses/user_timeline' },
  description: 'Returns a collection of the most recent Tweets posted by the User' }
);

SwaggerModel.remoteMethod('getStatusesHomeTimeline',
  { isStatic: true,
  accepts: 
   [ { arg: 'since_id',
       type: 'string',
       description: 'Returns result with an ID greater than the specified ID',
       required: false,
       http: { source: 'query' } },
     { arg: 'max_id',
       type: 'string',
       description: 'Returns results with an ID less than or equal to the specified ID',
       required: false,
       http: { source: 'query' } },
     { arg: 'trim_user',
       type: 'string',
       description: 'When set to either true, t or 1, each tweet returned in a timeline will include a user object',
       required: false,
       http: { source: 'query' } },
     { arg: 'exclude_replies',
       type: 'boolean',
       description: 'This paramters will prevent from appearing in the returned timeline',
       required: false,
       http: { source: 'query' } },
     { arg: 'contributor_details',
       type: 'boolean',
       description: 'This paramters enhances the contributors element of the status response to include the screen_name of the contributor',
       required: false,
       http: { source: 'query' } } ],
  returns: 
   [ { description: 'Success',
       type: [ 'Tweets' ],
       arg: 'data',
       root: true } ],
  http: { verb: 'get', path: '/statuses/home_timeline' },
  description: 'Returns a collection of the most recent Tweets' }
);

SwaggerModel.remoteMethod('getStatusesRetweetsId',
  { isStatic: true,
  accepts: 
   [ { arg: 'id',
       type: 'string',
       description: 'The numerical ID of the desired status',
       required: true,
       http: { source: 'path' } },
     { arg: 'count',
       type: 'string',
       description: 'Specifies the number of tweets to try and retrieve',
       required: false,
       http: { source: 'query' } },
     { arg: 'trim_user',
       type: 'string',
       description: 'When set to either true, t or 1, each tweet returned in a timeline will include a user object',
       required: false,
       http: { source: 'query' } } ],
  returns: 
   [ { description: 'Success',
       type: [ 'Tweets' ],
       arg: 'data',
       root: true } ],
  http: { verb: 'get', path: '/statuses/retweets/:id' },
  description: 'Retruns a collection of the 100 most recent retweets of the tweet specified by the id' }
);

SwaggerModel.remoteMethod('postStatusesRetweetsId',
  { isStatic: true,
  accepts: 
   [ { arg: 'id',
       type: 'string',
       description: 'The numerical ID of the desired status',
       required: true,
       http: { source: 'path' } },
     { arg: 'trim_user',
       type: 'string',
       description: 'When set to either true, t or 1, each tweet returned in a timeline will include a user object',
       required: false,
       http: { source: 'query' } } ],
  returns: 
   [ { description: 'Success',
       type: 'Tweets',
       arg: 'data',
       root: true } ],
  http: { verb: 'post', path: '/statuses/retweets/:id' },
  description: 'Retweens a tweet' }
);

SwaggerModel.remoteMethod('getStatusesShowId',
  { isStatic: true,
  accepts: 
   [ { arg: 'id',
       type: 'string',
       description: 'The numerical ID of the desired status',
       required: true,
       http: { source: 'path' } },
     { arg: 'trim_user',
       type: 'string',
       description: 'When set to either true, t or 1, each tweet returned in a timeline will include a user object',
       required: false,
       http: { source: 'query' } },
     { arg: 'include_my_retweet',
       type: 'string',
       description: 'When set to either true, t or 1, any Tweets returned that have been retweeted by the authenticating',
       required: true,
       http: { source: 'query' } },
     { arg: 'include_entities',
       type: 'string',
       description: 'The entities node will be disincluded when set to false',
       required: false,
       http: { source: 'query' } } ],
  returns: 
   [ { description: 'Success',
       type: 'Tweets',
       arg: 'data',
       root: true } ],
  http: { verb: 'get', path: '/statuses/show/:id' },
  description: 'Retruns a single Tweet' }
);

SwaggerModel.remoteMethod('postStatusesDestroyId',
  { isStatic: true,
  accepts: 
   [ { arg: 'id',
       type: 'string',
       description: 'The numerical ID of the desired status',
       required: true,
       http: { source: 'path' } },
     { arg: 'trim_user',
       type: 'string',
       description: 'When set to either true, t or 1, each tweet returned in a timeline will include a user object',
       required: false,
       http: { source: 'query' } } ],
  returns: 
   [ { description: 'Success',
       type: 'Tweets',
       arg: 'data',
       root: true } ],
  http: { verb: 'post', path: '/statuses/destroy/:id' },
  description: 'Destroys the status specified by the required ID parameter' }
);

SwaggerModel.remoteMethod('postStatusesUpdate',
  { isStatic: true,
  accepts: 
   [ { arg: 'status',
       type: 'string',
       description: 'The text of your status update',
       required: true,
       http: { source: 'query' } },
     { arg: 'in_reply_to_status_id',
       type: 'string',
       description: 'The ID of an existing status',
       required: false,
       http: { source: 'query' } },
     { arg: 'lat',
       type: 'string',
       description: 'The latitude of the location',
       required: false,
       http: { source: 'query' } },
     { arg: 'long',
       type: 'string',
       description: 'The longitude of the location',
       required: false,
       http: { source: 'query' } },
     { arg: 'place_id',
       type: 'string',
       description: 'A place in the world',
       required: false,
       http: { source: 'query' } },
     { arg: 'display_coordinates',
       type: 'string',
       description: 'Whether or not to put a pin on the exact coordinates a tweet',
       required: false,
       http: { source: 'query' } },
     { arg: 'trim_user',
       type: 'string',
       description: 'When set to either true, t or 1, each tweet returned in a timeline will include a user object',
       required: false,
       http: { source: 'query' } } ],
  returns: 
   [ { description: 'Success',
       type: 'Tweets',
       arg: 'data',
       root: true } ],
  http: { verb: 'post', path: '/statuses/update' },
  description: 'Updates the authenticating user\'s status' }
);

SwaggerModel.remoteMethod('getStatusesOembed',
  { isStatic: true,
  accepts: 
   [ { arg: 'id',
       type: 'string',
       description: 'The tweet/status id to return embed code for',
       required: true,
       http: { source: 'query' } },
     { arg: 'url',
       type: 'string',
       description: 'The encoded URL of the Tweet status to be embedded',
       required: true,
       http: { source: 'query' } },
     { arg: 'maxwidth',
       type: 'string',
       description: 'The maximum width in pixels that the embed should be rendered at',
       required: false,
       http: { source: 'query' } },
     { arg: 'hide_media',
       type: 'string',
       description: 'Specifies whether the embedded tweet should automatically show the original message in the case that the embedded Tweet is a reply',
       required: false,
       http: { source: 'query' } },
     { arg: 'hide_thread',
       type: 'string',
       description: 'Specifies whether the embedded Tweet html should include a \'script\' element pointing to widgets.js',
       required: false,
       http: { source: 'query' } },
     { arg: 'align',
       type: 'string',
       description: 'Specifies whether the embedded Tweet should be left aligned',
       required: false,
       http: { source: 'query' } },
     { arg: 'related',
       type: 'string',
       description: 'A value for the TWT related parameters',
       required: false,
       http: { source: 'query' } },
     { arg: 'lang',
       type: 'string',
       description: 'Languages code for the rendered embed',
       required: false,
       http: { source: 'query' } } ],
  returns: 
   [ { description: 'Success',
       type: 'Tweets',
       arg: 'data',
       root: true } ],
  http: { verb: 'get', path: '/statuses/oembed' },
  description: 'Returns information allowing the creation of an embedded representation' }
);

SwaggerModel.remoteMethod('getListsList',
  { isStatic: true,
  accepts: 
   [ { arg: 'screen_name',
       type: 'string',
       description: 'The screen name of the user for whom to return results for',
       required: true,
       http: { source: 'query' } },
     { arg: 'user_id',
       type: 'string',
       description: 'The ID of the user for whom to return results for',
       required: true,
       http: { source: 'query' } } ],
  returns: 
   [ { description: 'Success',
       type: [ 'Lists' ],
       arg: 'data',
       root: true } ],
  http: { verb: 'get', path: '/lists/list' },
  description: 'Return all lists the authenticating or specified user subscribes to, including their own.' }
);

SwaggerModel.remoteMethod('getListsStatuses',
  { isStatic: true,
  accepts: 
   [ { arg: 'list_id',
       type: 'string',
       description: 'The numerical id of the list',
       required: true,
       http: { source: 'query' } },
     { arg: 'slug',
       type: 'string',
       description: 'You can identify a list by its slug instead of its numerical id',
       required: true,
       http: { source: 'query' } },
     { arg: 'owner_screen_name',
       type: 'string',
       description: 'The screen name of the user who owns the list being requested by a slug',
       required: false,
       http: { source: 'query' } },
     { arg: 'owner_id',
       type: 'string',
       description: 'The user ID of the user who owns the list being requested by a slug',
       required: false,
       http: { source: 'query' } },
     { arg: 'since_id',
       type: 'string',
       description: 'Returns results with an ID greater than the sepcified ID',
       required: false,
       http: { source: 'query' } },
     { arg: 'max_id',
       type: 'string',
       description: 'Returns results with an ID less than or equal to the specified ID',
       required: false,
       http: { source: 'query' } },
     { arg: 'count',
       type: 'string',
       description: 'Specifies the number of results to retrieve per page',
       required: false,
       http: { source: 'query' } },
     { arg: 'include_entities',
       type: 'string',
       description: 'Entities are ON by default',
       required: false,
       http: { source: 'query' } },
     { arg: 'include_rts',
       type: 'string',
       description: 'When set to either true, t or 1, the list timeline will contain native retweets in addition to the standard stream of tweets',
       required: false,
       http: { source: 'query' } } ],
  returns: 
   [ { description: 'Success',
       type: [ 'Tweets' ],
       arg: 'data',
       root: true } ],
  http: { verb: 'get', path: '/lists/statuses' },
  description: 'Returns a timeline of tweets authored by memebers of the specified list' }
);

SwaggerModel.remoteMethod('getListsMembersDestroy',
  { isStatic: true,
  accepts: 
   [ { arg: 'list_id',
       type: 'string',
       description: 'The numerical id of the list',
       required: true,
       http: { source: 'query' } },
     { arg: 'slug',
       type: 'string',
       description: 'You can identify a list by its slug instrad of its numerical id',
       required: true,
       http: { source: 'query' } },
     { arg: 'owner_screen_name',
       type: 'string',
       description: 'The screen name of the user who owns the list being requested by a slug',
       required: false,
       http: { source: 'query' } },
     { arg: 'user_id',
       type: 'string',
       description: 'The id of the user for whom to remove from the list',
       required: false,
       http: { source: 'query' } },
     { arg: 'screen_name',
       type: 'string',
       description: 'The screen name of the user for whom to remove from the list',
       required: false,
       http: { source: 'query' } },
     { arg: 'owner_id',
       type: 'string',
       description: 'The is of the user who wons the list being requested by a slug',
       required: false,
       http: { source: 'query' } } ],
  returns: [],
  http: { verb: 'get', path: '/lists/members/destroy' },
  description: 'Returns the list of memebers destroy' }
);

SwaggerModel.remoteMethod('getListsMemberships',
  { isStatic: true,
  accepts: 
   [ { arg: 'user_id',
       type: 'string',
       description: 'The id of the user for whom to return results for',
       required: false,
       http: { source: 'query' } },
     { arg: 'screen_name',
       type: 'string',
       description: 'The screen name of the user for whom to return results for',
       required: false,
       http: { source: 'query' } },
     { arg: 'cursor',
       type: 'string',
       description: 'Breaks the results into pages',
       required: false,
       http: { source: 'query' } },
     { arg: 'filter_to_owned_lists',
       type: 'string',
       description: 'When set to true, t or 1, will return just lists the authenticating user owns',
       required: false,
       http: { source: 'query' } } ],
  returns: 
   [ { description: 'Success',
       type: 'Cursor_lists',
       arg: 'data',
       root: true } ],
  http: { verb: 'get', path: '/lists/memberships' },
  description: 'Returns the lists of the specified user has been added to' }
);

SwaggerModel.remoteMethod('getListsSubscribers',
  { isStatic: true,
  accepts: 
   [ { arg: 'list_id',
       type: 'string',
       description: 'The numerical id of the list',
       required: true,
       http: { source: 'query' } },
     { arg: 'slug',
       type: 'string',
       description: 'You can identify a list by its slug insted of its numerical id',
       required: true,
       http: { source: 'query' } },
     { arg: 'owner_screen_name',
       type: 'string',
       description: 'the screen name of the user who owns the list being requested by a slug',
       required: false,
       http: { source: 'query' } },
     { arg: 'owner_id',
       type: 'string',
       description: 'The user ID of the user who owns the list being requested by a slug',
       required: false,
       http: { source: 'query' } },
     { arg: 'cursor',
       type: 'string',
       description: 'Breaks the results into pages',
       required: false,
       http: { source: 'query' } },
     { arg: 'include_entities',
       type: 'string',
       description: 'Wehn set to either true, t or 1',
       required: false,
       http: { source: 'query' } },
     { arg: 'skip_status',
       type: 'string',
       description: 'When set to either true, t or 1',
       required: false,
       http: { source: 'query' } } ],
  returns: 
   [ { description: 'Success',
       type: 'Cursor_lists',
       arg: 'data',
       root: true } ],
  http: { verb: 'get', path: '/lists/subscribers' },
  description: 'Returns the subscribers of the specified list' }
);

SwaggerModel.remoteMethod('postListsSubscribersCreate',
  { isStatic: true,
  accepts: 
   [ { arg: 'list_id',
       type: 'string',
       description: 'The numerical id of the list',
       required: true,
       http: { source: 'query' } },
     { arg: 'slug',
       type: 'string',
       description: 'You can identify a list being requested by a slug',
       required: true,
       http: { source: 'query' } },
     { arg: 'owner_screen_name',
       type: 'string',
       description: 'the screen name of the user who owns the list being requested by a slug',
       required: false,
       http: { source: 'query' } },
     { arg: 'owner_id',
       type: 'string',
       description: 'The user ID of the user who owns the list being requested by a slug',
       required: false,
       http: { source: 'query' } } ],
  returns: [ { description: 'Success', type: 'Lists', arg: 'data', root: true } ],
  http: { verb: 'post', path: '/lists/subscribers/create' },
  description: 'Subscribes the authenticated user to the specified list' }
);

SwaggerModel.remoteMethod('getListsSubscribersShow',
  { isStatic: true,
  accepts: 
   [ { arg: 'list_id',
       type: 'string',
       description: 'The numerical id of the list',
       required: true,
       http: { source: 'query' } },
     { arg: 'slug',
       type: 'string',
       description: 'You can identify a list being requested by a slug',
       required: true,
       http: { source: 'query' } },
     { arg: 'owner_screen_name',
       type: 'string',
       description: 'The screen name of the user who owns the list being requested by a slug',
       required: false,
       http: { source: 'query' } },
     { arg: 'user_id',
       type: 'string',
       description: 'The id of the user for whom to remove from the list',
       required: false,
       http: { source: 'query' } },
     { arg: 'screen_name',
       type: 'string',
       description: 'The screen name of the user for whom to remove from the list',
       required: false,
       http: { source: 'query' } },
     { arg: 'owner_id',
       type: 'string',
       description: 'The is of the user who wons the list being requested by a slug',
       required: false,
       http: { source: 'query' } },
     { arg: 'include_entities',
       type: 'string',
       description: 'Wehn set to either true, t or 1',
       required: false,
       http: { source: 'query' } },
     { arg: 'skip_status',
       type: 'string',
       description: 'When set to either true, t or 1',
       required: false,
       http: { source: 'query' } } ],
  returns: [ { description: 'Success', type: 'Users', arg: 'data', root: true } ],
  http: { verb: 'get', path: '/lists/subscribers/show' },
  description: 'Check if the specified user is a subscriber of the specified list' }
);

SwaggerModel.remoteMethod('getListsSubscribersDestroy',
  { isStatic: true,
  accepts: 
   [ { arg: 'list_id',
       type: 'string',
       description: 'The numerical id of the list',
       required: true,
       http: { source: 'query' } },
     { arg: 'slug',
       type: 'string',
       description: 'You can identify a list being requested by a slug',
       required: true,
       http: { source: 'query' } },
     { arg: 'owner_screen_name',
       type: 'string',
       description: 'the screen name of the user who owns the list being requested by a slug',
       required: false,
       http: { source: 'query' } },
     { arg: 'owner_id',
       type: 'string',
       description: 'The user ID of the user who owns the list being requested by a slug',
       required: false,
       http: { source: 'query' } } ],
  returns: [],
  http: { verb: 'get', path: '/lists/subscribers/destroy' },
  description: 'Returns list of subscribers destroy' }
);

SwaggerModel.remoteMethod('getListsMembersCreateAll',
  { isStatic: true,
  accepts: 
   [ { arg: 'list_id',
       type: 'string',
       description: 'The numerical id of the list',
       required: true,
       http: { source: 'query' } },
     { arg: 'slug',
       type: 'string',
       description: 'You can identify a list being requested by a slug',
       required: true,
       http: { source: 'query' } },
     { arg: 'owner_screen_name',
       type: 'string',
       description: 'the screen name of the user who owns the list being requested by a slug',
       required: false,
       http: { source: 'query' } },
     { arg: 'owner_id',
       type: 'string',
       description: 'The user ID of the user who owns the list being requested by a slug',
       required: false,
       http: { source: 'query' } },
     { arg: 'user_id',
       type: 'string',
       description: 'The id of the user for whom to remove from the list',
       required: false,
       http: { source: 'query' } },
     { arg: 'screen_name',
       type: 'string',
       description: 'The screen name of the user for whom to remove from the list',
       required: false,
       http: { source: 'query' } } ],
  returns: [],
  http: { verb: 'get', path: '/lists/members/create_all' },
  description: 'Returns lists of members create_all' }
);

SwaggerModel.remoteMethod('getListMembersShow',
  { isStatic: true,
  accepts: 
   [ { arg: 'list_id',
       type: 'string',
       description: 'The numerical id of the list',
       required: true,
       http: { source: 'query' } },
     { arg: 'slug',
       type: 'string',
       description: 'You can identify a list being requested by a slug',
       required: true,
       http: { source: 'query' } },
     { arg: 'user_id',
       type: 'string',
       description: 'The id of the user for whom to remove from the list',
       required: false,
       http: { source: 'query' } },
     { arg: 'screen_name',
       type: 'string',
       description: 'The screen name of the user for whom to remove from the list',
       required: false,
       http: { source: 'query' } },
     { arg: 'owner_screen_name',
       type: 'string',
       description: 'The screen name of the user who owns the list being requested by a slug',
       required: false,
       http: { source: 'query' } },
     { arg: 'owner_id',
       type: 'string',
       description: 'The user ID of the user who owns the list being requested by a slug',
       required: false,
       http: { source: 'query' } },
     { arg: 'include_entities',
       type: 'string',
       description: 'Wehn set to either true, t or 1',
       required: false,
       http: { source: 'query' } },
     { arg: 'skip_status',
       type: 'string',
       description: 'When set to either true, t or 1',
       required: false,
       http: { source: 'query' } } ],
  returns: [ { description: 'Success', type: 'Users', arg: 'data', root: true } ],
  http: { verb: 'get', path: '/list/members/show' },
  description: 'Check if the specified user is a member of the specified list' }
);

SwaggerModel.remoteMethod('getListMembers',
  { isStatic: true,
  accepts: 
   [ { arg: 'list_id',
       type: 'string',
       description: 'The numerical id of the list',
       required: true,
       http: { source: 'query' } },
     { arg: 'slug',
       type: 'string',
       description: 'You can identify a list being requested by a slug',
       required: true,
       http: { source: 'query' } },
     { arg: 'owner_screen_name',
       type: 'string',
       description: 'The screen name of the user who owns the list being requested by a slug',
       required: false,
       http: { source: 'query' } },
     { arg: 'owner_id',
       type: 'string',
       description: 'The user ID of the user who owns the list being requested by a slug',
       required: false,
       http: { source: 'query' } },
     { arg: 'include_entities',
       type: 'string',
       description: 'Wehn set to either true, t or 1',
       required: false,
       http: { source: 'query' } },
     { arg: 'skip_status',
       type: 'string',
       description: 'When set to either true, t or 1',
       required: false,
       http: { source: 'query' } },
     { arg: 'cursor',
       type: 'string',
       description: 'Breaks the results into pages',
       required: false,
       http: { source: 'query' } } ],
  returns: [ { description: 'Success', type: 'Users', arg: 'data', root: true } ],
  http: { verb: 'get', path: '/list/members' },
  description: 'Returns the members of the specified list' }
);

SwaggerModel.remoteMethod('postListMembersCreate',
  { isStatic: true,
  accepts: 
   [ { arg: 'list_id',
       type: 'string',
       description: 'The numerical id of the list',
       required: true,
       http: { source: 'query' } },
     { arg: 'slug',
       type: 'string',
       description: 'You can identify a list being requested by a slug',
       required: true,
       http: { source: 'query' } },
     { arg: 'screen_name',
       type: 'string',
       description: 'The screen name of the user for whom to remove from the list',
       required: false,
       http: { source: 'query' } },
     { arg: 'owner_screen_name',
       type: 'string',
       description: 'The screen name of the user who owns the list being requested by a slug',
       required: false,
       http: { source: 'query' } },
     { arg: 'owner_id',
       type: 'string',
       description: 'The user ID of the user who owns the list being requested by a slug',
       required: false,
       http: { source: 'query' } } ],
  returns: [],
  http: { verb: 'post', path: '/list/members/create' },
  description: 'Returns list of members create' }
);

SwaggerModel.remoteMethod('postListsDestroy',
  { isStatic: true,
  accepts: 
   [ { arg: 'list_id',
       type: 'string',
       description: 'The numerical id of the list',
       required: true,
       http: { source: 'query' } },
     { arg: 'slug',
       type: 'string',
       description: 'You can identify a list being requested by a slug',
       required: true,
       http: { source: 'query' } },
     { arg: 'owner_screen_name',
       type: 'string',
       description: 'The screen name of the user who owns the list being requested by a slug',
       required: false,
       http: { source: 'query' } },
     { arg: 'owner_id',
       type: 'string',
       description: 'The user ID of the user who owns the list being requested by a slug',
       required: false,
       http: { source: 'query' } } ],
  returns: [ { description: 'Success', type: 'Lists', arg: 'data', root: true } ],
  http: { verb: 'post', path: '/lists/destroy' },
  description: 'Returns list of destroy' }
);

SwaggerModel.remoteMethod('postListsUpdate',
  { isStatic: true,
  accepts: 
   [ { arg: 'list_id',
       type: 'string',
       description: 'The numerical id of the list',
       required: true,
       http: { source: 'query' } },
     { arg: 'slug',
       type: 'string',
       description: 'You can identify a list being requested by a slug',
       required: true,
       http: { source: 'query' } },
     { arg: 'owner_screen_name',
       type: 'string',
       description: 'The screen name of the user who owns the list being requested by a slug',
       required: false,
       http: { source: 'query' } },
     { arg: 'owner_id',
       type: 'string',
       description: 'The user ID of the user who owns the list being requested by a slug',
       required: false,
       http: { source: 'query' } },
     { arg: 'name',
       type: 'string',
       description: 'The name for the list',
       required: false,
       http: { source: 'query' } },
     { arg: 'mode',
       type: 'string',
       description: 'Whether your list is public or private',
       required: false,
       http: { source: 'query' } },
     { arg: 'description',
       type: 'string',
       description: 'The description to give the list',
       required: false,
       http: { source: 'query' } } ],
  returns: [],
  http: { verb: 'post', path: '/lists/update' },
  description: 'Returns lists of updates' }
);

SwaggerModel.remoteMethod('postListsCreate',
  { isStatic: true,
  accepts: 
   [ { arg: 'name',
       type: 'string',
       description: 'The name for the list',
       required: false,
       http: { source: 'query' } },
     { arg: 'mode',
       type: 'string',
       description: 'Whether your list is public or private',
       required: false,
       http: { source: 'query' } },
     { arg: 'description',
       type: 'string',
       description: 'The description to give the list',
       required: false,
       http: { source: 'query' } } ],
  returns: [ { description: 'Success', type: 'Lists', arg: 'data', root: true } ],
  http: { verb: 'post', path: '/lists/create' },
  description: 'Returns list of create' }
);

SwaggerModel.remoteMethod('getListsShow',
  { isStatic: true,
  accepts: 
   [ { arg: 'list_id',
       type: 'string',
       description: 'The numerical id of the list',
       required: true,
       http: { source: 'query' } },
     { arg: 'slug',
       type: 'string',
       description: 'You can identify a list being requested by a slug',
       required: true,
       http: { source: 'query' } },
     { arg: 'owner_screen_name',
       type: 'string',
       description: 'The screen name of the user who owns the list being requested by a slug',
       required: false,
       http: { source: 'query' } },
     { arg: 'owner_id',
       type: 'string',
       description: 'The user ID of the user who owns the list being requested by a slug',
       required: false,
       http: { source: 'query' } } ],
  returns: [ { description: 'Success', type: 'Lists', arg: 'data', root: true } ],
  http: { verb: 'get', path: '/lists/show' },
  description: 'Returns list of show' }
);

SwaggerModel.remoteMethod('getListsSubscriptions',
  { isStatic: true,
  accepts: 
   [ { arg: 'screen_name',
       type: 'string',
       description: 'The screen name of the user',
       required: false,
       http: { source: 'query' } },
     { arg: 'user_id',
       type: 'string',
       description: 'The id of the user for whom to return results for',
       required: false,
       http: { source: 'query' } },
     { arg: 'count',
       type: 'string',
       description: 'The amount of results to return per page',
       required: false,
       http: { source: 'query' } },
     { arg: 'cursor',
       type: 'string',
       description: 'Breaks the results into pages',
       required: false,
       http: { source: 'query' } } ],
  returns: 
   [ { description: 'Success',
       type: 'Cursor_lists',
       arg: 'data',
       root: true } ],
  http: { verb: 'get', path: '/lists/subscriptions' },
  description: 'Returns list of subscriptions' }
);

SwaggerModel.remoteMethod('getListMembersDestroyAll',
  { isStatic: true,
  accepts: 
   [ { arg: 'list_id',
       type: 'string',
       description: 'The numerical id of the list',
       required: true,
       http: { source: 'query' } },
     { arg: 'slug',
       type: 'string',
       description: 'You can identify a list being requested by a slug',
       required: true,
       http: { source: 'query' } },
     { arg: 'user_id',
       type: 'string',
       description: 'The id of the user for whom to remove from the list',
       required: false,
       http: { source: 'query' } },
     { arg: 'screen_name',
       type: 'string',
       description: 'The screen name of the user for whom to remove from the list',
       required: false,
       http: { source: 'query' } },
     { arg: 'owner_screen_name',
       type: 'string',
       description: 'The screen name of the user who owns the list being requested by a slug',
       required: false,
       http: { source: 'query' } },
     { arg: 'owner_id',
       type: 'string',
       description: 'The user ID of the user who owns the list being requested by a slug',
       required: false,
       http: { source: 'query' } } ],
  returns: 
   [ { description: 'Success',
       type: 'Cursor_lists',
       arg: 'data',
       root: true } ],
  http: { verb: 'get', path: '/list/members/destroy_all' },
  description: 'Returns lists of destroy all' }
);

SwaggerModel.remoteMethod('getDirectMessagesSent',
  { isStatic: true,
  accepts: 
   [ { arg: 'since_id',
       type: 'string',
       description: undefined,
       required: false,
       http: { source: 'query' } },
     { arg: 'max_id',
       type: 'string',
       description: undefined,
       required: false,
       http: { source: 'query' } },
     { arg: 'count',
       type: 'string',
       description: undefined,
       required: false,
       http: { source: 'query' } },
     { arg: 'page',
       type: 'string',
       description: undefined,
       required: false,
       http: { source: 'query' } },
     { arg: 'include_entities',
       type: 'string',
       description: undefined,
       required: false,
       http: { source: 'query' } } ],
  returns: 
   [ { description: 'OK',
       type: [ 'Messages' ],
       arg: 'data',
       root: true } ],
  http: { verb: 'get', path: '/direct_messages/sent' },
  description: 'return 20 most recent direct messages sent' }
);

SwaggerModel.remoteMethod('getDirectMessagesShow',
  { isStatic: true,
  accepts: 
   [ { arg: 'id',
       type: 'string',
       description: 'ID of direct message',
       required: true,
       http: { source: 'query' } } ],
  returns: 
   [ { description: 'OK',
       type: [ 'Messages' ],
       arg: 'data',
       root: true } ],
  http: { verb: 'get', path: '/direct_messages/show' },
  description: 'returns a single direct message specified by an id' }
);

SwaggerModel.remoteMethod('getSearchTweets',
  { isStatic: true,
  accepts: 
   [ { arg: 'q',
       type: 'string',
       description: 'URL-encoded search query of 500 characters max',
       required: true,
       http: { source: 'query' } },
     { arg: 'geocode',
       type: 'string',
       description: 'returns tweets by users located within given radius',
       required: false,
       http: { source: 'query' } },
     { arg: 'lang',
       type: 'string',
       description: 'restricts tweets to a given language',
       required: false,
       http: { source: 'query' } },
     { arg: 'locale',
       type: 'string',
       description: 'language of query you are sending',
       required: false,
       http: { source: 'query' } },
     { arg: 'result_type',
       type: 'string',
       description: 'specifies type of search results you prefer',
       required: false,
       http: { source: 'query' } },
     { arg: 'count',
       type: 'string',
       description: 'number of tweets to return',
       required: undefined,
       http: { source: 'query' } },
     { arg: 'until',
       type: 'string',
       description: 'returns tweets created before given date',
       required: undefined,
       http: { source: 'query' } },
     { arg: 'since_id',
       type: 'string',
       description: 'return results with ID greater than specified',
       required: undefined,
       http: { source: 'query' } },
     { arg: 'max_id',
       type: 'string',
       description: 'returns results with an ID less than/equal to specified ID',
       required: undefined,
       http: { source: 'query' } },
     { arg: 'include_entities',
       type: 'string',
       description: 'whether or not to include entities',
       required: undefined,
       http: { source: 'query' } },
     { arg: 'callback',
       type: 'string',
       description: 'response will use the callback with given name',
       required: undefined,
       http: { source: 'query' } } ],
  returns: [ { description: 'OK', type: [ 'Tweets' ], arg: 'data', root: true } ],
  http: { verb: 'get', path: '/search/tweets' },
  description: 'returns collection of relevant Tweets matching query' }
);

SwaggerModel.remoteMethod('getSavedSearchesList',
  { isStatic: true,
  accepts: [],
  returns: 
   [ { description: 'Success',
       type: [ 'Query' ],
       arg: 'data',
       root: true } ],
  http: { verb: 'get', path: '/saved_searches/list' },
  description: 'Returns the authenticated user\'s saved search queries' }
);

SwaggerModel.remoteMethod('getSavedSearchesShowId',
  { isStatic: true,
  accepts: 
   [ { arg: 'id',
       type: 'string',
       description: 'The id of the saved search',
       required: true,
       http: { source: 'path' } } ],
  returns: [ { description: 'Success', type: 'Query', arg: 'data', root: true } ],
  http: { verb: 'get', path: '/saved_searches/show/:id' },
  description: 'Retrieve the information for the saved search represented by the given id' }
);

SwaggerModel.remoteMethod('postSavedSearchesCreate',
  { isStatic: true,
  accepts: 
   [ { arg: 'query',
       type: 'string',
       description: 'The query of the search the user would like to save',
       required: true,
       http: { source: 'query' } } ],
  returns: [ { description: 'Success', type: 'Query', arg: 'data', root: true } ],
  http: { verb: 'post', path: '/saved_searches/create' },
  description: 'Create a new saved search for the authenticated user' }
);

SwaggerModel.remoteMethod('postSavedSearchesDestroyId',
  { isStatic: true,
  accepts: 
   [ { arg: 'id',
       type: 'string',
       description: 'The id of the saved search',
       required: true,
       http: { source: 'path' } } ],
  returns: [ { description: 'Success', type: 'Query', arg: 'data', root: true } ],
  http: { verb: 'post', path: '/saved_searches/destroy/:id' },
  description: 'Destroy a saved search for the authenticating user' }
);

SwaggerModel.remoteMethod('getDirectMessages',
  { isStatic: true,
  accepts: 
   [ { arg: 'since_id',
       type: 'string',
       description: 'return results with ID greater than specified',
       required: undefined,
       http: { source: 'query' } },
     { arg: 'max_id',
       type: 'string',
       description: 'returns results with an ID less than/equal to specified ID',
       required: undefined,
       http: { source: 'query' } },
     { arg: 'include_entities',
       type: 'string',
       description: 'whether or not to include entities',
       required: undefined,
       http: { source: 'query' } },
     { arg: 'skip_status',
       type: 'string',
       description: 'whether or not to include status',
       required: undefined,
       http: { source: 'query' } } ],
  returns: 
   [ { description: 'OK',
       type: [ 'Messages' ],
       arg: 'data',
       root: true } ],
  http: { verb: 'get', path: '/direct_messages' },
  description: 'return 20 most recent direct messages sent to user' }
);

SwaggerModel.remoteMethod('postDirectMessagesDestroy',
  { isStatic: true,
  accepts: 
   [ { arg: 'id',
       type: 'string',
       description: 'ID of direct message to delete',
       required: true,
       http: { source: 'query' } },
     { arg: 'include_entities',
       type: 'string',
       description: 'whether or not to include entities',
       required: undefined,
       http: { source: 'query' } } ],
  returns: [ { description: 'OK', type: 'Messages', arg: 'data', root: true } ],
  http: { verb: 'post', path: '/direct_messages/destroy' },
  description: 'destroys direct messages specified in required ID' }
);

SwaggerModel.remoteMethod('postDirectMessagesNew',
  { isStatic: true,
  accepts: 
   [ { arg: 'user_id',
       type: 'string',
       description: 'description',
       required: true,
       http: { source: 'query' } },
     { arg: 'screen_name',
       type: 'string',
       description: 'screen name of user receiving message',
       required: undefined,
       http: { source: 'query' } },
     { arg: 'text',
       type: 'string',
       description: 'text of your direct message',
       required: true,
       http: { source: 'query' } } ],
  returns: [ { description: 'OK', type: 'Messages', arg: 'data', root: true } ],
  http: { verb: 'post', path: '/direct_messages/new' },
  description: 'sends a new direct message to specified user' }
);

SwaggerModel.remoteMethod('getFriendsIds',
  { isStatic: true,
  accepts: 
   [ { arg: 'user_id',
       type: 'string',
       description: 'ID of user for whom to return results for',
       required: undefined,
       http: { source: 'query' } },
     { arg: 'screen_name',
       type: 'string',
       description: 'screen name of user for whom to return results for',
       required: undefined,
       http: { source: 'query' } },
     { arg: 'cursor',
       type: 'string',
       description: 'causes list of connections to be broken in pages',
       required: undefined,
       http: { source: 'query' } },
     { arg: 'stringify_ids',
       type: 'string',
       description: 'IDs converted to strings',
       required: undefined,
       http: { source: 'query' } },
     { arg: 'count',
       type: 'string',
       description: 'number of IDs to attempt retrieval of',
       required: undefined,
       http: { source: 'query' } } ],
  returns: [ { description: 'OK', type: 'Cursor_ids', arg: 'data', root: true } ],
  http: { verb: 'get', path: '/friends/ids' },
  description: 'returns a cursored collection of user IDs followed by user' }
);

SwaggerModel.remoteMethod('getFollowersIds',
  { isStatic: true,
  accepts: 
   [ { arg: 'user_id',
       type: 'string',
       description: 'ID of user for whom to return results for',
       required: undefined,
       http: { source: 'query' } },
     { arg: 'screen_name',
       type: 'string',
       description: 'screen name of user for whom to return results for',
       required: undefined,
       http: { source: 'query' } },
     { arg: 'cursor',
       type: 'string',
       description: 'causes list of connections to be broken in pages',
       required: undefined,
       http: { source: 'query' } },
     { arg: 'stringify_ids',
       type: 'string',
       description: 'IDs converted to strings',
       required: undefined,
       http: { source: 'query' } },
     { arg: 'count',
       type: 'string',
       description: 'number of IDs to attempt retrieval of',
       required: undefined,
       http: { source: 'query' } } ],
  returns: [ { description: 'OK', type: 'Cursor_ids', arg: 'data', root: true } ],
  http: { verb: 'get', path: '/followers/ids' },
  description: 'returns a cursored collection of user IDs following the user' }
);

SwaggerModel.remoteMethod('getFriendshipsIncoming',
  { isStatic: true,
  accepts: 
   [ { arg: 'cursor',
       type: 'string',
       description: 'causes list of connections to be broken in pages',
       required: undefined,
       http: { source: 'query' } },
     { arg: 'stringify_ids',
       type: 'string',
       description: 'IDs converted to strings',
       required: undefined,
       http: { source: 'query' } } ],
  returns: [ { description: 'OK', type: 'Cursor_ids', arg: 'data', root: true } ],
  http: { verb: 'get', path: '/friendships/incoming' },
  description: 'returns collection of IDs of users with pending follow request' }
);

SwaggerModel.remoteMethod('getFriendshipsOutgoing',
  { isStatic: true,
  accepts: 
   [ { arg: 'cursor',
       type: 'string',
       description: 'causes list of connections to be broken in pages',
       required: undefined,
       http: { source: 'query' } },
     { arg: 'stringify_ids',
       type: 'string',
       description: 'IDs converted to strings',
       required: undefined,
       http: { source: 'query' } } ],
  returns: [ { description: 'OK', type: 'Cursor_ids', arg: 'data', root: true } ],
  http: { verb: 'get', path: '/friendships/outgoing' },
  description: 'returns collection of IDs of users with pending follow request from the user' }
);

SwaggerModel.remoteMethod('postFriendshipsCreate',
  { isStatic: true,
  accepts: 
   [ { arg: 'screen_name',
       type: 'string',
       description: 'screen name of user for whom to befriend',
       required: undefined,
       http: { source: 'query' } },
     { arg: 'user_id',
       type: 'string',
       description: 'ID of user for whom to befriend',
       required: undefined,
       http: { source: 'query' } },
     { arg: 'follow',
       type: 'string',
       description: 'enable notifications for target user',
       required: undefined,
       http: { source: 'query' } } ],
  returns: [ { description: 'OK', type: 'Users', arg: 'data', root: true } ],
  http: { verb: 'post', path: '/friendships/create' },
  description: 'allows users to follow user sepcified by ID' }
);

SwaggerModel.remoteMethod('postFriendshipsDestroy',
  { isStatic: true,
  accepts: 
   [ { arg: 'screen_name',
       type: 'string',
       description: 'screen name of user for whom to befriend',
       required: true,
       http: { source: 'query' } },
     { arg: 'user_id',
       type: 'string',
       description: 'ID of user for whom to befriend',
       required: true,
       http: { source: 'query' } } ],
  returns: [ { description: 'OK', type: 'Users', arg: 'data', root: true } ],
  http: { verb: 'post', path: '/friendships/destroy' },
  description: 'allows user to unfollow user psecified by ID' }
);

SwaggerModel.remoteMethod('postFriendshipsUpdate',
  { isStatic: true,
  accepts: 
   [ { arg: 'screen_name',
       type: 'string',
       description: 'screen name of user for whom to befriend',
       required: true,
       http: { source: 'query' } },
     { arg: 'user_id',
       type: 'string',
       description: 'ID of user for whom to befriend',
       required: true,
       http: { source: 'query' } },
     { arg: 'device',
       type: 'string',
       description: 'enable/disable device notifications for user',
       required: true,
       http: { source: 'query' } },
     { arg: 'retweets',
       type: 'string',
       description: 'enable/disable retweets from target user',
       required: true,
       http: { source: 'query' } } ],
  returns: [ { description: 'OK', type: 'Friendship', arg: 'data', root: true } ],
  http: { verb: 'post', path: '/friendships/update' },
  description: 'Allows one to enable or disable settings for specified user' }
);

SwaggerModel.remoteMethod('getFriendshipsShow',
  { isStatic: true,
  accepts: 
   [ { arg: 'source_id',
       type: 'string',
       description: 'user id of subject user',
       required: undefined,
       http: { source: 'query' } },
     { arg: 'source_screen_name',
       type: 'string',
       description: 'screen_name of subject user',
       required: undefined,
       http: { source: 'query' } },
     { arg: 'target_id',
       type: 'string',
       description: 'user id of target user',
       required: true,
       http: { source: 'query' } },
     { arg: 'target_screen_name',
       type: 'string',
       description: 'screen name of target user',
       required: true,
       http: { source: 'query' } } ],
  returns: [ { description: 'OK', type: 'Friendship', arg: 'data', root: true } ],
  http: { verb: 'get', path: '/friendships/show' },
  description: 'returns detailed info about relationship between two users' }
);

SwaggerModel.remoteMethod('getAccountSettings',
  { isStatic: true,
  accepts: [],
  returns: [ { description: 'OK', type: 'Settings', arg: 'data', root: true } ],
  http: { verb: 'get', path: '/account/settings' },
  description: 'returns settings for user' }
);

SwaggerModel.remoteMethod('postAccountSettings',
  { isStatic: true,
  accepts: 
   [ { arg: 'trend_location_woeid',
       type: 'string',
       description: 'the Yahoo! Where On Earth ID to user as defaul tend location',
       required: undefined,
       http: { source: 'query' } },
     { arg: 'sleep_time_enabled',
       type: 'string',
       description: 'enables/disables sleep time, silencing notifications',
       required: undefined,
       http: { source: 'query' } },
     { arg: 'start_sleep_time',
       type: 'string',
       description: 'the hour that sleep time should begin if enabled',
       required: undefined,
       http: { source: 'query' } },
     { arg: 'end_sleep_time',
       type: 'string',
       description: 'the hour that sleep time should end if enabled',
       required: undefined,
       http: { source: 'query' } },
     { arg: 'time_zone',
       type: 'string',
       description: 'timezone dates and times should be displayed in',
       required: undefined,
       http: { source: 'query' } },
     { arg: 'lang',
       type: 'string',
       description: 'language which Twitter should render in for the user',
       required: undefined,
       http: { source: 'query' } } ],
  returns: [ { description: 'OK', type: 'Settings', arg: 'data', root: true } ],
  http: { verb: 'post', path: '/account/settings' },
  description: 'updates user\'s settings' }
);

SwaggerModel.remoteMethod('postAccountUpdateDeliveryDevice',
  { isStatic: true,
  accepts: 
   [ { arg: 'device',
       type: 'string',
       description: 'must be one of sms, none',
       required: true,
       http: { source: 'query' } },
     { arg: 'include_entities',
       type: 'string',
       description: 'whether or not to include entities',
       required: undefined,
       http: { source: 'query' } } ],
  returns: [ { description: 'OK', type: 'Settings', arg: 'data', root: true } ],
  http: { verb: 'post', path: '/account/update_delivery_device' },
  description: 'sets which device Twitter delivers updates to for user' }
);

SwaggerModel.remoteMethod('postAccountUpdateProfile',
  { isStatic: true,
  accepts: 
   [ { arg: 'name',
       type: 'string',
       description: 'full name of profile',
       required: undefined,
       http: { source: 'query' } },
     { arg: 'url',
       type: 'string',
       description: 'url associated with profile',
       required: undefined,
       http: { source: 'query' } },
     { arg: 'location',
       type: 'string',
       description: 'city or country describing where user of account is.',
       required: undefined,
       http: { source: 'query' } },
     { arg: 'description',
       type: 'string',
       description: 'a description of user owning account',
       required: undefined,
       http: { source: 'query' } },
     { arg: 'include_entities',
       type: 'string',
       description: 'whether or not to include entities',
       required: undefined,
       http: { source: 'query' } },
     { arg: 'skip_status',
       type: 'string',
       description: 'whether or not to include statuses in response',
       required: undefined,
       http: { source: 'query' } } ],
  returns: [ { description: 'OK', type: 'Settings', arg: 'data', root: true } ],
  http: { verb: 'post', path: '/account/update_profile' },
  description: 'sets values that users ar eable to set under Account tab' }
);

SwaggerModel.remoteMethod('postAccountUpdateProfileBackgroundImage',
  { isStatic: true,
  consumes: [ 'multipart/form-data' ],
  accepts: 
   [ { arg: 'tile',
       type: 'string',
       description: 'whether or not to tile background image',
       required: undefined,
       http: { source: 'query' } },
     { arg: 'use',
       type: 'string',
       description: 'display background image or not',
       required: undefined,
       http: { source: 'query' } },
     { arg: 'include_entities',
       type: 'string',
       description: 'whether or not to include entities',
       required: undefined,
       http: { source: 'query' } },
     { arg: 'skip_status',
       type: 'string',
       description: 'whether or not to include status in returned user objects',
       required: undefined,
       http: { source: 'query' } },
     { arg: 'file',
       type: 'file',
       description: 'image to replace background image of profile',
       required: true,
       http: { source: 'formData' } } ],
  returns: [ { description: 'OK', type: 'Settings', arg: 'data', root: true } ],
  http: 
   { verb: 'post',
     path: '/account/update_profile_background_image' },
  description: 'updates user\'s profile background image' }
);

SwaggerModel.remoteMethod('postAccountUpdateProfileColors',
  { isStatic: true,
  accepts: 
   [ { arg: 'profile_background_color',
       type: 'string',
       description: 'profile background color',
       required: undefined,
       http: { source: 'query' } },
     { arg: 'profile_link_color',
       type: 'string',
       description: 'profile link color',
       required: undefined,
       http: { source: 'query' } },
     { arg: 'profile_sidebar_border_color',
       type: 'string',
       description: 'profile sidebar\'s border color',
       required: undefined,
       http: { source: 'query' } },
     { arg: 'profile_sidebar_fill_color',
       type: 'string',
       description: 'profile\'s sidebar background color',
       required: undefined,
       http: { source: 'query' } },
     { arg: 'profile_text_color',
       type: 'string',
       description: 'profile text color',
       required: undefined,
       http: { source: 'query' } },
     { arg: 'include_entities',
       type: 'string',
       description: 'whether or not to include entities',
       required: undefined,
       http: { source: 'query' } },
     { arg: 'skip_status',
       type: 'string',
       description: 'whether or not to include statuses',
       required: undefined,
       http: { source: 'query' } } ],
  returns: [ { description: 'OK', type: 'Settings', arg: 'data', root: true } ],
  http: { verb: 'post', path: '/account/update_profile_colors' },
  description: 'sets one or more hex values that controls color scheme' }
);

SwaggerModel.remoteMethod('postAccountUpdateProfileImage',
  { isStatic: true,
  consumes: [ 'multipart/form-data' ],
  accepts: 
   [ { arg: 'skip_status',
       type: 'string',
       description: 'whether or not to include statuses',
       required: undefined,
       http: { source: 'query' } },
     { arg: 'image',
       type: 'file',
       description: 'image to be set as profile image',
       required: true,
       http: { source: 'formData' } } ],
  returns: [ { description: 'OK', type: 'Settings', arg: 'data', root: true } ],
  http: { verb: 'post', path: '/account/update_profile_image' },
  description: 'updates user\'s profile image' }
);

SwaggerModel.remoteMethod('getBlocksList',
  { isStatic: true,
  accepts: 
   [ { arg: 'include_entities',
       type: 'string',
       description: 'whether or not to include entities',
       required: undefined,
       http: { source: 'query' } },
     { arg: 'skip_status',
       type: 'string',
       description: 'whether or not to include statuses in response',
       required: undefined,
       http: { source: 'query' } },
     { arg: 'cursor',
       type: 'string',
       description: 'breaks block of user to be broken up into pages',
       required: undefined,
       http: { source: 'query' } } ],
  returns: 
   [ { description: 'OK',
       type: 'Cursor_users',
       arg: 'data',
       root: true } ],
  http: { verb: 'get', path: '/blocks/list' },
  description: 'disallows retweets and device notifications from a user' }
);

SwaggerModel.remoteMethod('getBlocksIds',
  { isStatic: true,
  accepts: 
   [ { arg: 'stringify_ids',
       type: 'string',
       description: 'returns array of numeric IDs as string IDs',
       required: undefined,
       http: { source: 'query' } },
     { arg: 'cursor',
       type: 'string',
       description: 'breaks up block of user IDs into pages',
       required: undefined,
       http: { source: 'query' } } ],
  returns: 
   [ { description: 'OK',
       type: 'Cursor_users',
       arg: 'data',
       root: true } ],
  http: { verb: 'get', path: '/blocks/ids' },
  description: 'returns array of numeric user ids of blocked users' }
);

SwaggerModel.remoteMethod('postBlocksCreate',
  { isStatic: true,
  accepts: 
   [ { arg: 'screen_name',
       type: 'string',
       description: 'screen name of user to be blocked',
       required: true,
       http: { source: 'query' } },
     { arg: 'user_id',
       type: 'string',
       description: 'ID of user to be blocked',
       required: true,
       http: { source: 'query' } },
     { arg: 'include_entities',
       type: 'string',
       description: 'whether or not to include entities',
       required: undefined,
       http: { source: 'query' } },
     { arg: 'skip_status',
       type: 'string',
       description: 'whether or not to skip statuses',
       required: undefined,
       http: { source: 'query' } } ],
  returns: [ { description: 'OK', type: 'Users', arg: 'data', root: true } ],
  http: { verb: 'post', path: '/blocks/create' },
  description: 'blocks the specified user' }
);

SwaggerModel.remoteMethod('postBlocksDestroy',
  { isStatic: true,
  accepts: 
   [ { arg: 'screen_name',
       type: 'string',
       description: 'screen name of user to be un-blocked',
       required: true,
       http: { source: 'query' } },
     { arg: 'user_id',
       type: 'string',
       description: 'ID of user to be un-blocked',
       required: true,
       http: { source: 'query' } },
     { arg: 'include_entities',
       type: 'string',
       description: 'whether or not to include entities',
       required: undefined,
       http: { source: 'query' } },
     { arg: 'skip_status',
       type: 'string',
       description: 'whether or not to skip statuses',
       required: undefined,
       http: { source: 'query' } } ],
  returns: [ { description: 'OK', type: 'Users', arg: 'data', root: true } ],
  http: { verb: 'post', path: '/blocks/destroy' },
  description: 'un-blocks the specified user' }
);

SwaggerModel.remoteMethod('getUsersLookup',
  { isStatic: true,
  accepts: 
   [ { arg: 'screen_name',
       type: 'string',
       description: 'screen name of user to lookup',
       required: undefined,
       http: { source: 'query' } },
     { arg: 'user_id',
       type: 'string',
       description: 'ID of user to lookup',
       required: undefined,
       http: { source: 'query' } },
     { arg: 'include_entities',
       type: 'string',
       description: 'whether or not to include entities',
       required: undefined,
       http: { source: 'query' } } ],
  returns: [ { description: 'OK', type: [ 'Users' ], arg: 'data', root: true } ],
  http: { verb: 'get', path: '/users/lookup' },
  description: 'returns fully-hydrated user objects up to 100' }
);

SwaggerModel.remoteMethod('getUsersShow',
  { isStatic: true,
  accepts: 
   [ { arg: 'screen_name',
       type: 'string',
       description: 'screen name of user to be shown',
       required: true,
       http: { source: 'query' } },
     { arg: 'user_id',
       type: 'string',
       description: 'ID of user to be shown',
       required: true,
       http: { source: 'query' } },
     { arg: 'include_entities',
       type: 'string',
       description: 'whether or not to include entities',
       required: undefined,
       http: { source: 'query' } } ],
  returns: [ { description: 'OK', type: 'Users', arg: 'data', root: true } ],
  http: { verb: 'get', path: '/users/show' },
  description: 'returns a variety of info about specified user' }
);

SwaggerModel.remoteMethod('getUsersSearch',
  { isStatic: true,
  accepts: 
   [ { arg: 'q',
       type: 'string',
       description: 'the search query to run against people search',
       required: true,
       http: { source: 'query' } },
     { arg: 'page',
       type: 'string',
       description: 'specifies the page of results to receive',
       required: undefined,
       http: { source: 'query' } },
     { arg: 'count',
       type: 'string',
       description: 'number of people to return per page',
       required: undefined,
       http: { source: 'query' } },
     { arg: 'include_entities',
       type: 'string',
       description: 'whether or not to include entities',
       required: undefined,
       http: { source: 'query' } } ],
  returns: [ { description: 'OK', type: [ 'Users' ], arg: 'data', root: true } ],
  http: { verb: 'get', path: '/users/search' },
  description: 'simple relevance-based user search' }
);

SwaggerModel.remoteMethod('getUsersContributees',
  { isStatic: true,
  accepts: 
   [ { arg: 'screen_name',
       type: 'string',
       description: 'screen name of user that is contributed to',
       required: true,
       http: { source: 'query' } },
     { arg: 'user_id',
       type: 'string',
       description: 'ID of user to that is contributed to',
       required: true,
       http: { source: 'query' } },
     { arg: 'include_entities',
       type: 'string',
       description: 'whether or not to include entities',
       required: undefined,
       http: { source: 'query' } },
     { arg: 'skip_status',
       type: 'string',
       description: 'whether or not to skip statuses',
       required: undefined,
       http: { source: 'query' } } ],
  returns: [ { description: 'OK', type: [ 'Users' ], arg: 'data', root: true } ],
  http: { verb: 'get', path: '/users/contributees' },
  description: 'collection of users specified user can contribute to' }
);

SwaggerModel.remoteMethod('getUsersContributors',
  { isStatic: true,
  accepts: 
   [ { arg: 'screen_name',
       type: 'string',
       description: 'screen name of user contributing',
       required: true,
       http: { source: 'query' } },
     { arg: 'user_id',
       type: 'string',
       description: 'ID of user contributing',
       required: true,
       http: { source: 'query' } },
     { arg: 'include_entities',
       type: 'string',
       description: 'whether or not to include entities',
       required: undefined,
       http: { source: 'query' } },
     { arg: 'skip_status',
       type: 'string',
       description: 'whether or not to skip statuses',
       required: undefined,
       http: { source: 'query' } } ],
  returns: [ { description: 'OK', type: [ 'Users' ], arg: 'data', root: true } ],
  http: { verb: 'get', path: '/users/contributors' },
  description: 'collection of users that can contribute to specified account' }
);

SwaggerModel.remoteMethod('getGeoIdPlaceId',
  { isStatic: true,
  accepts: 
   [ { arg: 'place_id',
       type: 'string',
       description: 'A place in the world',
       required: true,
       http: { source: 'path' } } ],
  returns: 
   [ { description: 'Success',
       type: [ 'Places' ],
       arg: 'data',
       root: true } ],
  http: { verb: 'get', path: '/geo/id/:place_id' },
  description: 'Returns all the information about a know place' }
);

SwaggerModel.remoteMethod('getGeoReverseGeoncode',
  { isStatic: true,
  accepts: 
   [ { arg: 'lat',
       type: 'string',
       description: 'The latitude to search around',
       required: true,
       http: { source: 'query' } },
     { arg: 'long',
       type: 'string',
       description: 'The longtitude to search around',
       required: true,
       http: { source: 'query' } },
     { arg: 'accuracy',
       type: 'string',
       description: 'A hint on region in which to search',
       required: false,
       http: { source: 'query' } },
     { arg: 'granularity',
       type: 'string',
       description: 'This is the minimal granularity of place types to return',
       required: false,
       http: { source: 'query' } },
     { arg: 'max_results',
       type: 'string',
       description: 'A hint as to the number of results to return',
       required: false,
       http: { source: 'query' } },
     { arg: 'callback',
       type: 'string',
       description: 'If supplied, the responses will use the JSON format with a callback of the given name',
       required: false,
       http: { source: 'query' } } ],
  returns: 
   [ { description: 'Success',
       type: [ 'Places' ],
       arg: 'data',
       root: true } ],
  http: { verb: 'get', path: '/geo/reverse_geoncode' },
  description: 'Given a latitude and a longitude, searches for up to 20 places that can be used as a place_id when updatting a status' }
);

SwaggerModel.remoteMethod('getGeoSearch',
  { isStatic: true,
  accepts: 
   [ { arg: 'lat',
       type: 'string',
       description: 'The latitude to search around',
       required: true,
       http: { source: 'query' } },
     { arg: 'long',
       type: 'string',
       description: 'The longtitude to search around',
       required: true,
       http: { source: 'query' } },
     { arg: 'query',
       type: 'string',
       description: 'Free-form text to match against while executing a geo-based query',
       required: true,
       http: { source: 'query' } },
     { arg: 'ip',
       type: 'string',
       description: 'An Ip address',
       required: true,
       http: { source: 'query' } },
     { arg: 'accuracy',
       type: 'string',
       description: 'A hint on region in which to search',
       required: false,
       http: { source: 'query' } },
     { arg: 'granularity',
       type: 'string',
       description: 'This is the minimal granularity of place types to return',
       required: false,
       http: { source: 'query' } },
     { arg: 'contained_within',
       type: 'string',
       description: 'This is the place_id which you would like to restrict the search results to',
       required: false,
       http: { source: 'query' } },
     { arg: 'attribute:street_address',
       type: 'string',
       description: 'This parameter searches for places which have this givven street address',
       required: false,
       http: { source: 'query' } },
     { arg: 'callback',
       type: 'string',
       description: 'If supplied, the responses will use the JSON format with a callback of the given name',
       required: false,
       http: { source: 'query' } } ],
  returns: 
   [ { description: 'Success',
       type: [ 'Places' ],
       arg: 'data',
       root: true } ],
  http: { verb: 'get', path: '/geo/search' },
  description: 'Search for places that can be attached to a statuses/updates' }
);

SwaggerModel.remoteMethod('getGeoSimilarPlaces',
  { isStatic: true,
  accepts: 
   [ { arg: 'lat',
       type: 'string',
       description: 'The latitude to search around',
       required: true,
       http: { source: 'query' } },
     { arg: 'long',
       type: 'string',
       description: 'The longtitude to search around',
       required: true,
       http: { source: 'query' } },
     { arg: 'name',
       type: 'string',
       description: 'The name a place is known as',
       required: true,
       http: { source: 'query' } },
     { arg: 'contained_within',
       type: 'string',
       description: 'This is the place_id which you would like to restrict the search results to',
       required: false,
       http: { source: 'query' } },
     { arg: 'attribute:street_address',
       type: 'string',
       description: 'This parameter searches for places which have this givven street address',
       required: false,
       http: { source: 'query' } },
     { arg: 'callback',
       type: 'string',
       description: 'If supplied, the responses will use the JSON format with a callback of the given name',
       required: false,
       http: { source: 'query' } } ],
  returns: 
   [ { description: 'Success',
       type: [ 'Places' ],
       arg: 'data',
       root: true } ],
  http: { verb: 'get', path: '/geo/similar_places' },
  description: 'Locates places near the given coordinates which are similar in name' }
);

SwaggerModel.remoteMethod('getGeoPlaces',
  { isStatic: true,
  accepts: 
   [ { arg: 'lat',
       type: 'string',
       description: 'The latitude to search around',
       required: true,
       http: { source: 'query' } },
     { arg: 'long',
       type: 'string',
       description: 'The longtitude to search around',
       required: true,
       http: { source: 'query' } },
     { arg: 'name',
       type: 'string',
       description: 'The name a place is known as',
       required: true,
       http: { source: 'query' } },
     { arg: 'token',
       type: 'string',
       description: 'The token found in the response from geo/similar_places',
       required: true,
       http: { source: 'query' } },
     { arg: 'contained_within',
       type: 'string',
       description: 'This is the place_id which you would like to restrict the search results to',
       required: false,
       http: { source: 'query' } },
     { arg: 'attribute:street_address',
       type: 'string',
       description: 'This parameter searches for places which have this givven street address',
       required: false,
       http: { source: 'query' } },
     { arg: 'callback',
       type: 'string',
       description: 'If supplied, the responses will use the JSON format with a callback of the given name',
       required: false,
       http: { source: 'query' } } ],
  returns: 
   [ { description: 'Success',
       type: 'Places',
       arg: 'data',
       root: true } ],
  http: { verb: 'get', path: '/geo/places' },
  description: 'Create a new place object at the given latitude and logitude' }
);

SwaggerModel.remoteMethod('getTrendsPlace',
  { isStatic: true,
  accepts: 
   [ { arg: 'id',
       type: 'string',
       description: 'The yahoo where on earch id',
       required: true,
       http: { source: 'query' } },
     { arg: 'exclude',
       type: 'string',
       description: 'Setting this equal to hashtages will remove all hashtages from the trends list',
       required: true,
       http: { source: 'query' } } ],
  returns: 
   [ { description: 'Success',
       type: 'TrendInfo',
       arg: 'data',
       root: true } ],
  http: { verb: 'get', path: '/trends/place' },
  description: 'Returns the top 10 trending topics for a specific WOEID' }
);

SwaggerModel.remoteMethod('getTrendsAvailable',
  { isStatic: true,
  accepts: [],
  returns: 
   [ { description: 'Success',
       type: [ 'Location' ],
       arg: 'data',
       root: true } ],
  http: { verb: 'get', path: '/trends/available' },
  description: 'Returns the availability' }
);

SwaggerModel.remoteMethod('getTrendsClosest',
  { isStatic: true,
  accepts: 
   [ { arg: 'lat',
       type: 'string',
       description: 'If provided with a long parameter the available trend locations wil be stored by distance',
       required: true,
       http: { source: 'query' } },
     { arg: 'long',
       type: 'string',
       description: 'If provided with a lat parameters the available trend locations will be sorted by distance',
       required: true,
       http: { source: 'query' } } ],
  returns: 
   [ { description: 'Success',
       type: [ 'Location' ],
       arg: 'data',
       root: true } ],
  http: { verb: 'get', path: '/trends/closest' },
  description: 'Returns the location that Twitter has trending topic information for' }
);

SwaggerModel.remoteMethod('postUsersReportSpam',
  { isStatic: true,
  accepts: 
   [ { arg: 'screen_name',
       type: 'string',
       description: 'The ID or screen_name of the user you want to report as a spammer',
       required: false,
       http: { source: 'query' } },
     { arg: 'user_id',
       type: 'string',
       description: 'The ID of the user you want to report as a spammer',
       required: false,
       http: { source: 'query' } } ],
  returns: [ { description: 'Success', type: 'Users', arg: 'data', root: true } ],
  http: { verb: 'post', path: '/users/report_spam' },
  description: 'Returna users report spam' }
);

SwaggerModel.remoteMethod('getHelpConfiguration',
  { isStatic: true,
  accepts: [],
  returns: 
   [ { description: 'Success',
       type: 'Help_Config',
       arg: 'data',
       root: true } ],
  http: { verb: 'get', path: '/help/configuration' },
  description: 'Returns the current configuration used by Twitter including twitter.com slugs which are not usernames' }
);

SwaggerModel.remoteMethod('getHelpLanguages',
  { isStatic: true,
  accepts: [],
  returns: 
   [ { description: 'Success',
       type: [ 'Help_Language' ],
       arg: 'data',
       root: true } ],
  http: { verb: 'get', path: '/help/languages' },
  description: 'Returns the list of languages supported by Twitter along with the language code supported by Twitter' }
);

SwaggerModel.remoteMethod('getHelpPrivacy',
  { isStatic: true,
  accepts: [],
  returns: 
   [ { description: 'Success',
       type: 'Help_Privacy',
       arg: 'data',
       root: true } ],
  http: { verb: 'get', path: '/help/privacy' },
  description: 'Returns Twitter\'s privacy policy' }
);

SwaggerModel.remoteMethod('getHelpTos',
  { isStatic: true,
  accepts: [],
  returns: 
   [ { description: 'Success',
       type: 'Help_Tos',
       arg: 'data',
       root: true } ],
  http: { verb: 'get', path: '/help/tos' },
  description: 'Returns the Twitter Terms of Service' }
);

SwaggerModel.remoteMethod('getApplicationRateLimitStatus',
  { isStatic: true,
  accepts: 
   [ { arg: 'resources',
       type: [ 'string' ],
       description: 'A comma-separated list of resource families you want to know the current rate limit disposition for',
       required: false,
       http: { source: 'query' } } ],
  returns: [],
  http: { verb: 'get', path: '/application/rate_limit_status' },
  description: 'Returns the current rate limits for methods belonging to the specified resource families' }
);

}
